------------------------------------------------------------------------
r409 | roliver | 2005-03-28 23:57:40 +1000 (Mon, 28 Mar 2005) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/blfs-packages

Add blfs-packages symlink

------------------------------------------------------------------------
r408 | roliver | 2005-03-28 23:56:25 +1000 (Mon, 28 Mar 2005) | 7 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-linux-pam.sh
   M /cross-lfs/trunk/scripts/build-blfs.sh

Update build-blfs to use blfs-packages (instead of old blfs-config)

Change linux-pam script to be a bash script
Didn't have much luck with 0.78 which did not build... this will have to
be looked at... 0.77 still works fine


------------------------------------------------------------------------
r407 | roliver | 2005-03-28 23:52:21 +1000 (Mon, 28 Mar 2005) | 4 lines
Changed paths:
   A /cross-lfs/trunk/patches/libpng-1.2.8-link_to_proper_libs-1.patch
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-libpng.sh

Update to handle newer libpng. Updated the "link_to_proper_libs" patch
as the 1.2.7 one won't apply.


------------------------------------------------------------------------
r406 | roliver | 2005-03-28 23:50:23 +1000 (Mon, 28 Mar 2005) | 4 lines
Changed paths:
   A /cross-lfs/trunk/patches/openssl-0.9.7f-32bit_x86_64.patch
   A /cross-lfs/trunk/patches/openssl-0.9.7f-allow_lib64.patch
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssl.sh

Long overdue update to openssl. Update patches for 32bit x86_64 support and
support for setting libdir


------------------------------------------------------------------------
r405 | roliver | 2005-03-28 23:47:18 +1000 (Mon, 28 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/patches/patch.4.3.27.1
   A /cross-lfs/trunk/patches/patch.4.3.27.2
   A /cross-lfs/trunk/patches/patch.4.3.27.3
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-bdb.sh

Update script to handle bdb 4.3.27, and include offical patches


------------------------------------------------------------------------
r404 | roliver | 2005-03-28 23:45:28 +1000 (Mon, 28 Mar 2005) | 4 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-configs/blfs-packages-20050328 (from /cross-lfs/trunk/scripts/plfs-configs/blfs-packages-20050312:402)

Update blfs package versions to current, except for linux-pam which doesn't
want to build for some reason... this to be investigated


------------------------------------------------------------------------
r403 | roliver | 2005-03-28 23:43:52 +1000 (Mon, 28 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5.sh

Comment cleanup

------------------------------------------------------------------------
r402 | roliver | 2005-03-28 14:51:19 +1000 (Mon, 28 Mar 2005) | 3 lines
Changed paths:
   D /cross-lfs/trunk/scripts/blfs-config
   A /cross-lfs/trunk/scripts/plfs-configs/blfs-packages-20050312 (from /cross-lfs/trunk/scripts/blfs-config:400)

Move blfs-config under plfs-configs dir as blfs-packages-XXXXXX


------------------------------------------------------------------------
r401 | roliver | 2005-03-28 14:49:46 +1000 (Mon, 28 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-gettext.sh

Actually remove PMFLAGS this time ;-)


------------------------------------------------------------------------
r400 | roliver | 2005-03-28 14:27:56 +1000 (Mon, 28 Mar 2005) | 11 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-e2fsprogs.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-e2fsprogs.sh

Fix braindead error in the e2fsprogs tests for 1.37
CFLAGS were not peing passed, hence no -I directives were in place for
finding headers when doing tests in lib/e2p

Error as below
make[1]: Entering directory `/home/lfs/src/x86_64/e2fsprogs-1.37-build/lib/e2p'
        LD tst_ostype
In file included from ../../../e2fsprogs-1.37/lib/e2p/ostype.c:10:
../../../e2fsprogs-1.37/lib/e2p/e2p.h:5:28: ext2fs/ext2_fs.h: No such file or directory


------------------------------------------------------------------------
r399 | roliver | 2005-03-28 09:15:59 +1000 (Mon, 28 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-glibc.sh

Minor cleanups


------------------------------------------------------------------------
r398 | roliver | 2005-03-28 09:13:51 +1000 (Mon, 28 Mar 2005) | 8 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-lfs-bootscripts.sh

Updated for new lfs bootscripts package.
Check if there is a make target for install-hotplug before attempting
to install it, later lfs bootscripts install this by default

A BIG TODO here, must take all of the network configuration out of this
script and put it in a separate configuration file.


------------------------------------------------------------------------
r397 | roliver | 2005-03-28 05:57:22 +1000 (Mon, 28 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-gettext.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gettext.sh

gettext-0.14.3 did not like parallel make, temporarily remove PMFLAGS


------------------------------------------------------------------------
r396 | roliver | 2005-03-28 05:54:04 +1000 (Mon, 28 Mar 2005) | 5 lines
Changed paths:
   A /cross-lfs/trunk/patches/util-linux-2.12n-cross-lfs-fixes.patch (from /cross-lfs/trunk/patches/util-linux-2.12a-cross-lfs-fixes.patch:384)
   M /cross-lfs/trunk/scripts/native-scripts/native-util-linux.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-util-linux.sh

The util-linux-2.12a-cross-lfs-fixes.patch doesn't apply after 2.12n.
Need to see if it is still required to add unistd.h to the list of headers
for mount/swapon , for the moment this has been removed


------------------------------------------------------------------------
r395 | roliver | 2005-03-27 18:48:25 +1000 (Sun, 27 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc64

Fix braindead stupidity on my behalf with the sparc64 config


------------------------------------------------------------------------
r394 | roliver | 2005-03-27 18:45:20 +1000 (Sun, 27 Mar 2005) | 4 lines
Changed paths:
   A /cross-lfs/trunk/configs/kernel/linux-2.6.11-ac4-x86_64.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.11-ac4-x86_64.config-K8VNXP

Add new config for K8VNXP mobo's with 2.6.11-ac4
-ac4 has support for GigaRAID, comes in properly as an IDE device


------------------------------------------------------------------------
r393 | roliver | 2005-03-27 18:35:37 +1000 (Sun, 27 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20050325 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20050314:384)
   M /cross-lfs/trunk/scripts/plfs-packages

Update package versions inline with current lfs testing


------------------------------------------------------------------------
r392 | roliver | 2005-03-27 18:28:17 +1000 (Sun, 27 Mar 2005) | 13 lines
Changed paths:
   A /cross-lfs/trunk/patches/util-linux-2.12q-cramfs-1.patch
   M /cross-lfs/trunk/scripts/native-scripts/native-util-linux.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-util-linux.sh

Update util-linux scripts (haven't done so since 2.12a)
Add patch for cramfs

Submitted by: Jeremy Utley <jeremy@linuxfromscratch.org>
Date: 2004-12-25
Initial Package Version: 2.12p (should apply to versions back to at least k)
Upstream Status: Not Submitted - Test Version
Origin: Alexander Patrakov, adapted from debian build of cramfs utilities
Description: Util-Linux fails in cramfs compilation due to changes in the
linux-libc-headers package 2.6.9 and after.  This patch is a proper fix to the
problem, but may in fact not be accepted upstream.


------------------------------------------------------------------------
r391 | roliver | 2005-03-27 18:23:58 +1000 (Sun, 27 Mar 2005) | 10 lines
Changed paths:
   A /cross-lfs/trunk/patches/tar-1.15.1-sparse_fix-1.patch
   M /cross-lfs/trunk/scripts/native-scripts/native-tar.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-tar.sh

Update to keep in line with current lfs, add patch

Submitted By: Jim Gifford (patches at jg555 dot com)
Date: 2005-03-19
Initial Package Version: 1.15.1
Origin: Tar Bug Reports List
Upstream Status: Applied
Description: Fixes large file corruptions using option -S


------------------------------------------------------------------------
r390 | roliver | 2005-03-27 18:19:39 +1000 (Sun, 27 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh

fix braino, shouldn't supply the .patch when using apply_patch


------------------------------------------------------------------------
r389 | roliver | 2005-03-27 17:55:20 +1000 (Sun, 27 Mar 2005) | 12 lines
Changed paths:
   A /cross-lfs/trunk/patches/shadow-4.0.7-fix_lastlog-1.patch
   M /cross-lfs/trunk/scripts/native-scripts/native-shadow.sh

Update shadow for 4.0.7 and add patch to fix lastlog

Submitted By: Archaic <archaic at linuxfromscratch dot org>
Date: 2005-03-22
Initial Package Version: 4.0.7
Origin: http://cvs.pld.org.pl/shadow/libmisc/log.c?r1=1.7&r2=1.8
Upstream Status: Already in CVS
Description: Shadow fails to update the time of last login as noted by lastlog
when logging into a regular console. The Port (tty) column does get updated.
Remote logins and xterm logins seem to be not be broken, just console.


------------------------------------------------------------------------
r388 | roliver | 2005-03-27 17:52:32 +1000 (Sun, 27 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/configs/udev/udev-config-3.rules
   M /cross-lfs/trunk/scripts/native-scripts/native-dev.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-dev.sh

Update scripts to bring inline with lfs development


------------------------------------------------------------------------
r387 | roliver | 2005-03-25 23:06:05 +1100 (Fri, 25 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/funcs/tarball-funcs.sh

Fix unpack_tarball and check_tarballs to handle plain tar files
Thanks to Matt Darcy for reporting the issue


------------------------------------------------------------------------
r385 | roliver | 2005-03-25 19:33:32 +1100 (Fri, 25 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/ChangeLog
   M /cross-lfs/trunk/README.cross-lfs
   M /cross-lfs/trunk/svn_revision

Update prior to tagging the 3.1.0 release


------------------------------------------------------------------------
r384 | roliver | 2005-03-25 19:07:57 +1100 (Fri, 25 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/funcs/multiarch-funcs.sh

Remove hard coded DERFAULTENV and LIBDIRENV from multiarch-funcs.sh
These should be set in plfs-config


------------------------------------------------------------------------
r383 | roliver | 2005-03-25 19:04:12 +1100 (Fri, 25 Mar 2005) | 19 lines
Changed paths:
   A /cross-lfs/trunk/patches/gcc-3.4.3-remove_standard_startfile_prefix_from_startfile_prefixes-1.patch
   M /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh

Add a patch to solve libtool issues caused by gcc on multi-arch systems
Probably should come up with a shorter name for the patch ;-)

Submitted By: Ryan Oliver (ryan dot oliver at pha dot com dot au)
Origin: Ryan Oliver
Date: 2004-07-15
Initial Package Version: 3.4.3
Description: This patch is primarily here to fix issues with libtool when building
        packages on a multi-arch/multilib system, as libtool effectively uses the
        library search paths from gcc -print-search-dirs to locate .la files.
        This poses a problem as by default gcc supplies
                eg: /usr/lib64/gcc/x86_64-pc-linux-gnu/3.4.3/../../../
        which following the example would cause libtool to use .la files under
        /usr/lib64 instead of /usr/lib if building a package 32bit, and thus will
        attempt to link in incompatible 64bit libraries.
        Here we simply remove this path ( provided by standard_startfile_prefix )
        from the library search order


------------------------------------------------------------------------
r382 | roliver | 2005-03-25 18:20:02 +1100 (Fri, 25 Mar 2005) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-2.4.1
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-2.4.3-m68k
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-2.4.4-m68k
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-20040217-x86
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc64 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc64-lfs-unstable:374)
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc64-lfs-unstable
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs6.0test
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-lfs-6.0 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs6.0test:374)

Finished cleanup of plfs-configs

------------------------------------------------------------------------
r381 | roliver | 2005-03-25 18:01:54 +1100 (Fri, 25 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-hypersparc (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc-solaris-sparc-linux:374)
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-m68k-2.4.26-RO
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc-solaris-sparc-linux
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-linux-sparc-linux

More cleanups


------------------------------------------------------------------------
r380 | roliver | 2005-03-25 17:30:06 +1100 (Fri, 25 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-i686-lfs-5.1.1
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-m68k-lfs-5.1.1
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-powerpc64
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-ppc750
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86-native
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-lfs-5.1.1 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-i686-lfs-5.1.1:374)

Add LIBDIRENV and DEFAULTENV vars to plfs-config(s)
Still cleaning up...


------------------------------------------------------------------------
r379 | roliver | 2005-03-24 01:00:25 +1100 (Thu, 24 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-blfs.sh
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/build-host.sh
   M /cross-lfs/trunk/scripts/build-native.sh
   M /cross-lfs/trunk/scripts/build-target.sh
   M /cross-lfs/trunk/scripts/plfs-config
   A /cross-lfs/trunk/scripts/plfs-packages

Source plfs-packages in all the wrapper scripts


------------------------------------------------------------------------
r378 | roliver | 2005-03-24 00:55:43 +1100 (Thu, 24 Mar 2005) | 3 lines
Changed paths:
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-i686-20041101
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-20040930
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20041021
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20050103
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20040930 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-20040930:374)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20041021 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20041021:374)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20041101 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-i686-20041101:374)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20050103 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20050103:374)

Still splitting up the old plfs-configs...


------------------------------------------------------------------------
r377 | roliver | 2005-03-23 22:14:36 +1100 (Wed, 23 Mar 2005) | 3 lines
Changed paths:
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-powerpc-lfs-unstable-20040620
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-powerpc64 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-powerpc-lfs-unstable-20040620:374)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-ppc750 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-ppc750-20041223:374)
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-ppc750-20041223
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs-unstable-20040620
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs-unstable-20040801
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20041223 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-ppc750-20041223:374)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-lfs-unstable-20040801 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs-unstable-20040801:374)

Still cleaning up configs...


------------------------------------------------------------------------
r376 | roliver | 2005-03-23 19:56:06 +1100 (Wed, 23 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-lfs-unstable-20040620 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs-unstable-20040620:374)

Split out lfs-unstable-20040620 pkgs


------------------------------------------------------------------------
r375 | roliver | 2005-03-22 21:33:37 +1100 (Tue, 22 Mar 2005) | 5 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86-native (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-20040217-x86:374)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20040217 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-20040217-x86:374)

Still splitting old plfs-configs
The plfs-packages-20040217 will be here for historic reasons, it probably wont work
with the current scripts... but hey ;-)


------------------------------------------------------------------------
r374 | roliver | 2005-03-22 20:57:03 +1100 (Tue, 22 Mar 2005) | 8 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20050314:372)
   D /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20050314
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-packages-20050314 (from /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20050314:372)

Initial work on splitting old plfs-config's into two files,
one specifically for build options, the other specifically 
for package versions (lfs ch5 + ch6).

More work will need to be done with build-init etc to alter
the used package list for lfs/blfs/other...


------------------------------------------------------------------------
r373 | roliver | 2005-03-22 01:37:16 +1100 (Tue, 22 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/untested/kde-scripts/kde-arts.sh

Update to handle new functions

------------------------------------------------------------------------
r372 | roliver | 2005-03-22 01:31:18 +1100 (Tue, 22 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-libpng.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssl.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-xorg.sh

bug fixes from last update


------------------------------------------------------------------------
r371 | roliver | 2005-03-22 01:29:58 +1100 (Tue, 22 Mar 2005) | 6 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-coreutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-file.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gawk.sh

Missed some edits changing libdir to libdirname on prev commit.
Also POSIX2_VERSION was not getting set with coreutils.
May have to revert some changes with coreutils, check to see if the extra_env passing
actually worked or not (if so, re-introduce and fix up target-coreutils too)


------------------------------------------------------------------------
r370 | roliver | 2005-03-22 01:26:16 +1100 (Tue, 22 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/funcs/multiarch-funcs.sh
   M /cross-lfs/trunk/scripts/funcs/stub_header-funcs.sh

Minor fixups with argument checking, bug fixes

------------------------------------------------------------------------
r369 | roliver | 2005-03-21 00:09:10 +1100 (Mon, 21 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-cracklib.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-linux-pam.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcl.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcp-wrappers.sh
   M /cross-lfs/trunk/scripts/funcs/multiarch-funcs.sh
   M /cross-lfs/trunk/scripts/funcs/stub_header-funcs.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-zlib.sh

Numerous bugfixes
Fix braino with creation of header stubs (${file} = stub header check)
Temporarily add debugging to new funcs

------------------------------------------------------------------------
r368 | roliver | 2005-03-20 21:21:29 +1100 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-bdb-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-cracklib-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-cyrus-sasl-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-expat-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-fontconfig-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-freetype2-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-libpng-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-linux-pam-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-nssldap-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-openldap-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssl-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcl-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcp-wrappers-32.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-xorg-32.sh
   M /cross-lfs/trunk/scripts/build-blfs.sh

Update build-blfs.sh and add -32 symlinks

------------------------------------------------------------------------
r367 | roliver | 2005-03-20 21:14:02 +1100 (Sun, 20 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-libpng.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-linux-pam.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-nssldap.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openldap.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssl.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-portmap.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-shadow-pam.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcl.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcp-wrappers.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-xorg.sh

Update the remainder of the blfs-scripts ...
Will need to pay attention to openssl though...


------------------------------------------------------------------------
r366 | roliver | 2005-03-20 19:17:49 +1100 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-fontconfig.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-freetype2.sh

Update to use the new multi-arch functions
(including use of create_stub_hdrs and use_wrapper)

------------------------------------------------------------------------
r365 | roliver | 2005-03-20 19:12:24 +1100 (Sun, 20 Mar 2005) | 5 lines
Changed paths:
   M /cross-lfs/trunk/scripts/funcs/multiarch-funcs.sh

Add 2 new functions, create_wrapper
Sets up a wrapper script to handle the situations where we need to keep multiple
versions of the same file (eg one for 32bit , one for 64bit , etc )


------------------------------------------------------------------------
r364 | roliver | 2005-03-20 16:47:34 +1100 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-init.sh
   A /cross-lfs/trunk/scripts/funcs/stub_header-funcs.sh

Add functions for creating stub headers.

------------------------------------------------------------------------
r363 | roliver | 2005-03-20 16:42:06 +1100 (Sun, 20 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-cracklib.sh
   M /cross-lfs/trunk/scripts/funcs/multiarch-funcs.sh

update blfs-cracklib to use multiarch funcs.
add ARCH_LDFLAGS to setup_multiarch() (reqd by blfs-cracklib.sh)


------------------------------------------------------------------------
r362 | roliver | 2005-03-20 16:40:22 +1100 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-bdb.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-cyrus-sasl.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-expat.sh

Update to use multiarch funcs


------------------------------------------------------------------------
r361 | roliver | 2005-03-20 16:36:15 +1100 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-flex.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-ncurses.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-shadow.sh

Fix typoes


------------------------------------------------------------------------
r360 | roliver | 2005-03-19 23:29:41 +1100 (Sat, 19 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/temp-binutils.sh

fix type when calling set_libdirname


------------------------------------------------------------------------
r359 | roliver | 2005-03-15 19:14:04 +1100 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-perl.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-perl.sh

Fix sed which was broken during last updates.
Configure should now get edited correctly...

------------------------------------------------------------------------
r358 | roliver | 2005-03-15 18:47:59 +1100 (Tue, 15 Mar 2005) | 7 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-glibc.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-tcl.sh

Fix a couple of brainfarts

1: typoed setup_multiarch in temp-tcl
2: goofed and was setting --build during native glibc from ALT_ENV (unused)
   instead of ALT_TGT (as provided by setup_multiarch).


------------------------------------------------------------------------
r357 | roliver | 2005-03-15 18:21:35 +1100 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-native.sh

Updated build-native.sh to match recent changes


------------------------------------------------------------------------
r356 | roliver | 2005-03-15 18:17:40 +1100 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/native-scripts/native-bzip2-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-file-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-flex-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-gettext-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-glibc-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-libtool-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-ncurses-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-perl-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-procps-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-readline-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-shadow-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-zlib-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/temp-expect-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/temp-perl-32.sh
   A /cross-lfs/trunk/scripts/native-scripts/temp-tcl-32.sh

Add foo-32.sh -> foo.sh symlinks for native-scripts


------------------------------------------------------------------------
r355 | roliver | 2005-03-15 18:10:35 +1100 (Tue, 15 Mar 2005) | 6 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-bison.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-bzip2.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-e2fsprogs.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-file.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gawk.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-groff.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-inetutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-iproute2.sh

Finish off mods for native-scripts.

Next is to go through all the scripts, setting CC w ARCH_CFLAGS for everything,
so we do not have to rely on the compilers default output type.


------------------------------------------------------------------------
r354 | roliver | 2005-03-15 03:22:39 +1100 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-binutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-findutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-flex.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gettext.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-glibc.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-libtool.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-ncurses.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-perl.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-procps.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-readline.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-shadow.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-tar.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-zlib.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-binutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-expect.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-perl.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-tcl.sh

Partial update of native-scripts to utilise multiarch-funcs
(see recent changes in cross-scripts/target-scripts)

------------------------------------------------------------------------
r353 | roliver | 2005-03-14 23:04:49 +1100 (Mon, 14 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-bzip2-32.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-gettext-32.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-ncurses-32.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-tcp-wrappers-32.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-zlib-32.sh

create -32.sh symlinks for multi-arch builds in target-scripts.
update build-target.sh


------------------------------------------------------------------------
r352 | roliver | 2005-03-14 22:56:13 +1100 (Mon, 14 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh

fix builddir naming when multi-arch


------------------------------------------------------------------------
r351 | roliver | 2005-03-14 22:53:41 +1100 (Mon, 14 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs-32.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full-32.sh

when using set_buildenv in a script, you must have a 
foo-${BUILDENV}.sh -> foo.sh symlink for said script.


------------------------------------------------------------------------
r350 | roliver | 2005-03-14 22:45:14 +1100 (Mon, 14 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-hdrs.sh

fix brainfart (not cd'ing into PKGDIR before unpacking linuxthreads etc

------------------------------------------------------------------------
r349 | roliver | 2005-03-14 22:41:05 +1100 (Mon, 14 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/funcs/multiarch-funcs.sh

Clear out debugging cruft , and stop setting extra_conf in set_libdirname

------------------------------------------------------------------------
r348 | roliver | 2005-03-14 22:36:51 +1100 (Mon, 14 Mar 2005) | 7 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh

fix brainfart with setting of ALT_TGT before setup_multiarch was run.

setup_multiarch clears this var when it is run, but it does not clobber
TARGET, so we can set ALT_TGT to TARGET afterwards if ALT_TGT returns
empty.


------------------------------------------------------------------------
r347 | roliver | 2005-03-14 22:32:41 +1100 (Mon, 14 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-init.sh

fix typo when sourcing kernel_stub_header-funcs.sh

------------------------------------------------------------------------
r346 | roliver | 2005-03-14 22:30:42 +1100 (Mon, 14 Mar 2005) | 5 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-linux-sparc-linux
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20050314

Add new x86_64 native plfs-config for testing new functions and
repoint plfs-config symlink

Update sed version in the x86_64-linux-sparc-linux plfs-config file

------------------------------------------------------------------------
r345 | roliver | 2005-03-14 18:59:00 +1100 (Mon, 14 Mar 2005) | 20 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh
   M /cross-lfs/trunk/scripts/funcs/multiarch-funcs.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-bison.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-bzip2.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-e2fsprogs.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-flex.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gettext.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-inetutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-iproute2.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-ncurses.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-procps.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-tcp-wrappers.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-zlib.sh

Update cross-scripts and target-scripts to use the multiarch-funcs.

This cleans up the individual scripts immeasurebly.
Use set_buildenv only where there could be multiple symlinks to the file
BUILDENV will default to DEFAULTENV unless the calling script was called as
"foo-$SOMEENV.sh"

set_libdirname sets the libdirname var depending if
LIBDIRENV ( default env of the */lib dirs, set to 32/64/n32 etc )
and BUILDENV (DEFAULTS to DEFAULTENV if not already set) match or not.
If they match, libdirname="lib", if not a case statement is checked
and libdirname set appropriately

setup_multiarch sets up specific compiler options for multiarch builds

LIBDIRENV and DEFAULTENV should ideally be set from a lookup function
but be overridable via plfs-config, but for the moment are still hard-coded
in funcs/multiarch-funcs.sh


------------------------------------------------------------------------
r344 | roliver | 2005-03-14 15:36:45 +1100 (Mon, 14 Mar 2005) | 6 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-hdrs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-kern-hdrs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-san-kern-hdrs.sh

Change BIARCH to MULTIARCH for all cross-scripts

Call set_buildenv and setup_multiarch from glibc scripts
and remove a pile of conditionals


------------------------------------------------------------------------
r343 | roliver | 2005-03-14 14:48:21 +1100 (Mon, 14 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-init.sh
   A /cross-lfs/trunk/scripts/funcs/multiarch-funcs.sh (from /cross-lfs/trunk/scripts/funcs/multilib-funcs.sh:342)
   D /cross-lfs/trunk/scripts/funcs/multilib-funcs.sh

Update build-init, and rename multilib-funcs.sh


------------------------------------------------------------------------
r342 | roliver | 2005-03-14 14:46:23 +1100 (Mon, 14 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/funcs/multilib-funcs.sh

Forgot to export the functions


------------------------------------------------------------------------
r341 | roliver | 2005-03-14 14:42:51 +1100 (Mon, 14 Mar 2005) | 9 lines
Changed paths:
   M /cross-lfs/trunk/scripts/funcs/multilib-funcs.sh

Update multilib-funcs script

BIARCh var has been replaced with MULTIARCH.
libdir var has been replaced with libdirname.

A new function, set_buildenv, will set BUILDENV depending on
the suffix of the calling script


------------------------------------------------------------------------
r340 | roliver | 2005-03-14 13:26:09 +1100 (Mon, 14 Mar 2005) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/funcs/multilib-funcs.sh (from /cross-lfs/trunk/scripts/untested/blfs-scripts/funcs.sh:339)
   D /cross-lfs/trunk/scripts/untested/blfs-scripts/funcs.sh

Move multilib functions into the main area

------------------------------------------------------------------------
r339 | roliver | 2005-03-14 13:13:35 +1100 (Mon, 14 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/build-native.sh
   M /cross-lfs/trunk/scripts/build-target.sh

Add set +h to start of main wrapper scripts

------------------------------------------------------------------------
r338 | roliver | 2005-03-14 13:12:21 +1100 (Mon, 14 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/host-scripts/host-coreutils-binaries.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-coreutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-coreutils.sh

Remove POSIX_CONFORM option from coreutils build scripts
All that remains is removing it from plfs-config*


------------------------------------------------------------------------
r337 | roliver | 2005-03-14 12:54:20 +1100 (Mon, 14 Mar 2005) | 5 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-init.sh
   D /cross-lfs/trunk/scripts/funcs/build-init.sh

Update build-init.sh script.

This script is now just a wrapper to source functions from the 
funcs/ directory

------------------------------------------------------------------------
r336 | roliver | 2005-03-14 12:42:36 +1100 (Mon, 14 Mar 2005) | 5 lines
Changed paths:
   A /cross-lfs/trunk/scripts/funcs/binutils-funcs.sh (from /cross-lfs/trunk/scripts/funcs/build-init.sh:335)
   A /cross-lfs/trunk/scripts/funcs/kernel_stub_header-funcs.sh (from /cross-lfs/trunk/scripts/funcs/build-init.sh:335)
   A /cross-lfs/trunk/scripts/funcs/log-funcs.sh (from /cross-lfs/trunk/scripts/funcs/build-init.sh:335)
   A /cross-lfs/trunk/scripts/funcs/patching-funcs.sh (from /cross-lfs/trunk/scripts/funcs/build-init.sh:335)
   A /cross-lfs/trunk/scripts/funcs/tarball-funcs.sh (from /cross-lfs/trunk/scripts/funcs/build-init.sh:335)

Split out all build-init functions into separate scripts under funcs/

posix2fixfile and posix2fixrecursive have been dropped.


------------------------------------------------------------------------
r335 | roliver | 2005-03-14 11:44:13 +1100 (Mon, 14 Mar 2005) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/funcs
   A /cross-lfs/trunk/scripts/funcs/build-init.sh (from /cross-lfs/trunk/scripts/build-init.sh:329)

Added funcs directory to split out all the functions from build-init.sh

------------------------------------------------------------------------
r334 | roliver | 2005-03-13 23:54:15 +1100 (Sun, 13 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc-solaris-sparc-linux

Updates


------------------------------------------------------------------------
r333 | roliver | 2005-03-13 23:52:40 +1100 (Sun, 13 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/host-scripts/host-autoconf.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-automake.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-binutils.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-bison.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-coreutils-binaries.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-flex.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-gawk.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-gcc.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-gettext.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-grep.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-libtool.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-m4.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-make.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-ncurses.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-patch.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-sed.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-tar.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-texinfo.sh

Disable nls for host-scripts, had some issues on solaris9...
Probably should look into building libiconv...


------------------------------------------------------------------------
r332 | roliver | 2005-03-13 00:55:31 +1100 (Sun, 13 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc-solaris-sparc-linux
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-linux-sparc-linux

minor updates


------------------------------------------------------------------------
r331 | roliver | 2005-03-13 00:48:54 +1100 (Sun, 13 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc-solaris-sparc-linux
   M /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-linux-sparc-linux

updates


------------------------------------------------------------------------
r330 | roliver | 2005-03-13 00:35:02 +1100 (Sun, 13 Mar 2005) | 4 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc-solaris-sparc-linux
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-linux-sparc-linux

two more plfs-configs, used for a solaris-linux cross-build on a SS20
(using distcc)


------------------------------------------------------------------------
r329 | roliver | 2005-03-13 00:10:58 +1100 (Sun, 13 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config
   D /cross-lfs/trunk/scripts/plfs-config-2.4.1
   D /cross-lfs/trunk/scripts/plfs-config-2.4.3-m68k
   D /cross-lfs/trunk/scripts/plfs-config-2.4.4-m68k
   D /cross-lfs/trunk/scripts/plfs-config-20040217-x86
   D /cross-lfs/trunk/scripts/plfs-config-i686-20041101
   D /cross-lfs/trunk/scripts/plfs-config-i686-lfs-5.1.1
   D /cross-lfs/trunk/scripts/plfs-config-m68k-2.4.26-RO
   D /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1
   D /cross-lfs/trunk/scripts/plfs-config-powerpc-lfs-unstable-20040620
   D /cross-lfs/trunk/scripts/plfs-config-ppc750-20041223
   D /cross-lfs/trunk/scripts/plfs-config-sparc64-lfs-unstable
   D /cross-lfs/trunk/scripts/plfs-config-x86_64-20040930
   D /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040620
   D /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040801
   D /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs6.0test
   D /cross-lfs/trunk/scripts/plfs-config-x86_64-native-20041021
   D /cross-lfs/trunk/scripts/plfs-config-x86_64-native-20050103
   A /cross-lfs/trunk/scripts/plfs-configs
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-2.4.1 (from /cross-lfs/trunk/scripts/plfs-config-2.4.1:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-2.4.3-m68k (from /cross-lfs/trunk/scripts/plfs-config-2.4.3-m68k:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-2.4.4-m68k (from /cross-lfs/trunk/scripts/plfs-config-2.4.4-m68k:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-20040217-x86 (from /cross-lfs/trunk/scripts/plfs-config-20040217-x86:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-i686-20041101 (from /cross-lfs/trunk/scripts/plfs-config-i686-20041101:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-i686-lfs-5.1.1 (from /cross-lfs/trunk/scripts/plfs-config-i686-lfs-5.1.1:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-m68k-2.4.26-RO (from /cross-lfs/trunk/scripts/plfs-config-m68k-2.4.26-RO:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-m68k-lfs-5.1.1 (from /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-powerpc-lfs-unstable-20040620 (from /cross-lfs/trunk/scripts/plfs-config-powerpc-lfs-unstable-20040620:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-ppc750-20041223 (from /cross-lfs/trunk/scripts/plfs-config-ppc750-20041223:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-sparc64-lfs-unstable (from /cross-lfs/trunk/scripts/plfs-config-sparc64-lfs-unstable:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-20040930 (from /cross-lfs/trunk/scripts/plfs-config-x86_64-20040930:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs-unstable-20040620 (from /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040620:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs-unstable-20040801 (from /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040801:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-lfs6.0test (from /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs6.0test:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20041021 (from /cross-lfs/trunk/scripts/plfs-config-x86_64-native-20041021:328)
   A /cross-lfs/trunk/scripts/plfs-configs/plfs-config-x86_64-native-20050103 (from /cross-lfs/trunk/scripts/plfs-config-x86_64-native-20050103:328)

Move plfs-configs samples to a separate subdir


------------------------------------------------------------------------
r327 | roliver | 2005-03-12 23:44:05 +1100 (Sat, 12 Mar 2005) | 2 lines
Changed paths:
   A /cross-lfs/trunk/ChangeLog
   M /cross-lfs/trunk/README.cross-lfs
   A /cross-lfs/trunk/svn_revision

Doco updates etc prior to tag

------------------------------------------------------------------------
r326 | roliver | 2005-03-12 23:33:15 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/patches/X11R6.8.1-IncludeSharedObjectInNormalLib-1.patch
   A /cross-lfs/trunk/patches/X11R6.8.1-fix_shared_libXau_link-1.patch
   A /cross-lfs/trunk/patches/procps-3.2.5-fix_mips-1.patch
   A /cross-lfs/trunk/scripts/plfs-config

Final merges


------------------------------------------------------------------------
r325 | roliver | 2005-03-12 20:15:23 +1100 (Sat, 12 Mar 2005) | 2 lines
Changed paths:
   A /cross-lfs/trunk/configs/kernel/linux-2.4.26-i686.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.10-x86_64.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.7-i686.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.8.1-i686.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.8.1-x86_64.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.9-i686-admin.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.9-i686.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.9-x86_64.config

Add symlinks

------------------------------------------------------------------------
r324 | roliver | 2005-03-12 20:06:32 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-OpenEXR.sh

Fix typo


------------------------------------------------------------------------
r323 | roliver | 2005-03-12 19:50:38 +1100 (Sat, 12 Mar 2005) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-desktop-gtk-engines.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-desktop-scrollkeeper.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-GConf.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-ORBit2.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-at-spi.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-atk.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-audiofile-64.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-audiofile.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-esoound-64.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-esoound.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-gail.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-glib.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-gnome-mime-data.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-gtk-doc.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-gtk2.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-intltool.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libIDL.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libart_lgpl-64.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libart_lgpl.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libbonobo.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libglade.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libgnomecanvas.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libxml2-64.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libxml2.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libxslt-64.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-libxslt.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-platform-pango.sh
   A /cross-lfs/trunk/scripts/untested/gnome-platform-scripts/gnome-setup.sh
   A /cross-lfs/trunk/scripts/untested/kde-scripts
   A /cross-lfs/trunk/scripts/untested/kde-scripts/kde-arts.sh
   A /cross-lfs/trunk/scripts/untested/kde-scripts/kde-kde-libs.sh
   A /cross-lfs/trunk/scripts/untested/kde-scripts/kde-kdeb-base.sh
   A /cross-lfs/trunk/scripts/untested/kde-scripts/kde-setup.sh

import kde and gnome-platform scripts

------------------------------------------------------------------------
r322 | roliver | 2005-03-12 19:46:03 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   D /cross-lfs/trunk/scripts/untested/biarch-funcs.sh
   D /cross-lfs/trunk/scripts/untested/blfs-OpenEXR.sh
   D /cross-lfs/trunk/scripts/untested/blfs-a2ps.sh
   D /cross-lfs/trunk/scripts/untested/blfs-a52dec.sh
   D /cross-lfs/trunk/scripts/untested/blfs-alsa-lib.sh
   D /cross-lfs/trunk/scripts/untested/blfs-alsa-tools.sh
   D /cross-lfs/trunk/scripts/untested/blfs-alsa-utils.sh
   D /cross-lfs/trunk/scripts/untested/blfs-aspell.sh
   D /cross-lfs/trunk/scripts/untested/blfs-cdparanoia-III-64.sh
   D /cross-lfs/trunk/scripts/untested/blfs-cdparanoia-III.sh
   D /cross-lfs/trunk/scripts/untested/blfs-cups.sh
   D /cross-lfs/trunk/scripts/untested/blfs-dbus.sh
   D /cross-lfs/trunk/scripts/untested/blfs-desktop-file-utils.sh
   D /cross-lfs/trunk/scripts/untested/blfs-docbook-dssl.sh
   D /cross-lfs/trunk/scripts/untested/blfs-docbook-sgml.sh
   D /cross-lfs/trunk/scripts/untested/blfs-docbook-xml.sh
   D /cross-lfs/trunk/scripts/untested/blfs-docboox-xsl.sh
   D /cross-lfs/trunk/scripts/untested/blfs-doxygen.sh
   D /cross-lfs/trunk/scripts/untested/blfs-ed.sh
   D /cross-lfs/trunk/scripts/untested/blfs-enscript.sh
   D /cross-lfs/trunk/scripts/untested/blfs-espgs.sh
   D /cross-lfs/trunk/scripts/untested/blfs-fam.sh
   D /cross-lfs/trunk/scripts/untested/blfs-fftw.sh
   D /cross-lfs/trunk/scripts/untested/blfs-fftw3.sh
   D /cross-lfs/trunk/scripts/untested/blfs-fltk.sh
   D /cross-lfs/trunk/scripts/untested/blfs-foomatic.sh
   D /cross-lfs/trunk/scripts/untested/blfs-freeglut-64.sh
   D /cross-lfs/trunk/scripts/untested/blfs-freeglut.sh
   D /cross-lfs/trunk/scripts/untested/blfs-gamin.sh
   D /cross-lfs/trunk/scripts/untested/blfs-gd.sh
   D /cross-lfs/trunk/scripts/untested/blfs-gdbm-64.sh
   D /cross-lfs/trunk/scripts/untested/blfs-gdbm.sh
   D /cross-lfs/trunk/scripts/untested/blfs-gimp-print.sh
   D /cross-lfs/trunk/scripts/untested/blfs-glib12.sh
   D /cross-lfs/trunk/scripts/untested/blfs-graphviz.sh
   D /cross-lfs/trunk/scripts/untested/blfs-gtk12.sh
   D /cross-lfs/trunk/scripts/untested/blfs-hicolor-icon-theme.sh
   D /cross-lfs/trunk/scripts/untested/blfs-ijs.sh
   D /cross-lfs/trunk/scripts/untested/blfs-jadetex.sh
   D /cross-lfs/trunk/scripts/untested/blfs-jasper.sh
   D /cross-lfs/trunk/scripts/untested/blfs-lcms.sh
   D /cross-lfs/trunk/scripts/untested/blfs-lesstif.sh
   D /cross-lfs/trunk/scripts/untested/blfs-libidn.sh
   D /cross-lfs/trunk/scripts/untested/blfs-libjprg.sh
   D /cross-lfs/trunk/scripts/untested/blfs-libmad.sh
   D /cross-lfs/trunk/scripts/untested/blfs-libmikmod.sh
   D /cross-lfs/trunk/scripts/untested/blfs-libmpeg3.sh
   D /cross-lfs/trunk/scripts/untested/blfs-libogg.sh
   D /cross-lfs/trunk/scripts/untested/blfs-libraw1394.sh
   D /cross-lfs/trunk/scripts/untested/blfs-libvorbis.sh
   D /cross-lfs/trunk/scripts/untested/blfs-lm_sensors.sh
   D /cross-lfs/trunk/scripts/untested/blfs-mas.sh
   D /cross-lfs/trunk/scripts/untested/blfs-mtools.sh
   D /cross-lfs/trunk/scripts/untested/blfs-mysql.sh
   D /cross-lfs/trunk/scripts/untested/blfs-nas-64.sh
   D /cross-lfs/trunk/scripts/untested/blfs-nas.sh
   D /cross-lfs/trunk/scripts/untested/blfs-nasm.sh
   D /cross-lfs/trunk/scripts/untested/blfs-openjade.sh
   D /cross-lfs/trunk/scripts/untested/blfs-opensp.sh
   D /cross-lfs/trunk/scripts/untested/blfs-pcre.sh
   D /cross-lfs/trunk/scripts/untested/blfs-pkgconfig.sh
   D /cross-lfs/trunk/scripts/untested/blfs-pm-xml-parser.sh
   D /cross-lfs/trunk/scripts/untested/blfs-popt-64.sh
   D /cross-lfs/trunk/scripts/untested/blfs-popt.sh
   D /cross-lfs/trunk/scripts/untested/blfs-psutils.sh
   D /cross-lfs/trunk/scripts/untested/blfs-python-64.sh
   D /cross-lfs/trunk/scripts/untested/blfs-python.sh
   D /cross-lfs/trunk/scripts/untested/blfs-qt.sh
   D /cross-lfs/trunk/scripts/untested/blfs-samba.sh
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/biarch-funcs.sh (from /cross-lfs/trunk/scripts/untested/biarch-funcs.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-OpenEXR.sh (from /cross-lfs/trunk/scripts/untested/blfs-OpenEXR.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-a2ps.sh (from /cross-lfs/trunk/scripts/untested/blfs-a2ps.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-a52dec.sh (from /cross-lfs/trunk/scripts/untested/blfs-a52dec.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-alsa-lib.sh (from /cross-lfs/trunk/scripts/untested/blfs-alsa-lib.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-alsa-tools.sh (from /cross-lfs/trunk/scripts/untested/blfs-alsa-tools.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-alsa-utils.sh (from /cross-lfs/trunk/scripts/untested/blfs-alsa-utils.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-aspell.sh (from /cross-lfs/trunk/scripts/untested/blfs-aspell.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-cdparanoia-III-64.sh (from /cross-lfs/trunk/scripts/untested/blfs-cdparanoia-III-64.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-cdparanoia-III.sh (from /cross-lfs/trunk/scripts/untested/blfs-cdparanoia-III.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-cups.sh (from /cross-lfs/trunk/scripts/untested/blfs-cups.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-dbus.sh (from /cross-lfs/trunk/scripts/untested/blfs-dbus.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-desktop-file-utils.sh (from /cross-lfs/trunk/scripts/untested/blfs-desktop-file-utils.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-docbook-dssl.sh (from /cross-lfs/trunk/scripts/untested/blfs-docbook-dssl.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-docbook-sgml.sh (from /cross-lfs/trunk/scripts/untested/blfs-docbook-sgml.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-docbook-xml.sh (from /cross-lfs/trunk/scripts/untested/blfs-docbook-xml.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-docboox-xsl.sh (from /cross-lfs/trunk/scripts/untested/blfs-docboox-xsl.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-doxygen.sh (from /cross-lfs/trunk/scripts/untested/blfs-doxygen.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-ed.sh (from /cross-lfs/trunk/scripts/untested/blfs-ed.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-enscript.sh (from /cross-lfs/trunk/scripts/untested/blfs-enscript.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-espgs.sh (from /cross-lfs/trunk/scripts/untested/blfs-espgs.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-fam.sh (from /cross-lfs/trunk/scripts/untested/blfs-fam.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-fftw.sh (from /cross-lfs/trunk/scripts/untested/blfs-fftw.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-fftw3.sh (from /cross-lfs/trunk/scripts/untested/blfs-fftw3.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-fltk.sh (from /cross-lfs/trunk/scripts/untested/blfs-fltk.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-foomatic.sh (from /cross-lfs/trunk/scripts/untested/blfs-foomatic.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-freeglut-64.sh (from /cross-lfs/trunk/scripts/untested/blfs-freeglut-64.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-freeglut.sh (from /cross-lfs/trunk/scripts/untested/blfs-freeglut.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-gamin.sh (from /cross-lfs/trunk/scripts/untested/blfs-gamin.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-gd.sh (from /cross-lfs/trunk/scripts/untested/blfs-gd.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-gdbm-64.sh (from /cross-lfs/trunk/scripts/untested/blfs-gdbm-64.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-gdbm.sh (from /cross-lfs/trunk/scripts/untested/blfs-gdbm.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-gimp-print.sh (from /cross-lfs/trunk/scripts/untested/blfs-gimp-print.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-glib12.sh (from /cross-lfs/trunk/scripts/untested/blfs-glib12.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-graphviz.sh (from /cross-lfs/trunk/scripts/untested/blfs-graphviz.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-gtk12.sh (from /cross-lfs/trunk/scripts/untested/blfs-gtk12.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-hicolor-icon-theme.sh (from /cross-lfs/trunk/scripts/untested/blfs-hicolor-icon-theme.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-ijs.sh (from /cross-lfs/trunk/scripts/untested/blfs-ijs.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-jadetex.sh (from /cross-lfs/trunk/scripts/untested/blfs-jadetex.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-jasper.sh (from /cross-lfs/trunk/scripts/untested/blfs-jasper.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-lcms.sh (from /cross-lfs/trunk/scripts/untested/blfs-lcms.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-lesstif.sh (from /cross-lfs/trunk/scripts/untested/blfs-lesstif.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-libidn.sh (from /cross-lfs/trunk/scripts/untested/blfs-libidn.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-libjprg.sh (from /cross-lfs/trunk/scripts/untested/blfs-libjprg.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-libmad.sh (from /cross-lfs/trunk/scripts/untested/blfs-libmad.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-libmikmod.sh (from /cross-lfs/trunk/scripts/untested/blfs-libmikmod.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-libmpeg3.sh (from /cross-lfs/trunk/scripts/untested/blfs-libmpeg3.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-libogg.sh (from /cross-lfs/trunk/scripts/untested/blfs-libogg.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-libraw1394.sh (from /cross-lfs/trunk/scripts/untested/blfs-libraw1394.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-libvorbis.sh (from /cross-lfs/trunk/scripts/untested/blfs-libvorbis.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-lm_sensors.sh (from /cross-lfs/trunk/scripts/untested/blfs-lm_sensors.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-mas.sh (from /cross-lfs/trunk/scripts/untested/blfs-mas.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-mtools.sh (from /cross-lfs/trunk/scripts/untested/blfs-mtools.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-mysql.sh (from /cross-lfs/trunk/scripts/untested/blfs-mysql.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-nas-64.sh (from /cross-lfs/trunk/scripts/untested/blfs-nas-64.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-nas.sh (from /cross-lfs/trunk/scripts/untested/blfs-nas.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-nasm.sh (from /cross-lfs/trunk/scripts/untested/blfs-nasm.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-openjade.sh (from /cross-lfs/trunk/scripts/untested/blfs-openjade.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-opensp.sh (from /cross-lfs/trunk/scripts/untested/blfs-opensp.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-pcre.sh (from /cross-lfs/trunk/scripts/untested/blfs-pcre.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-pkgconfig.sh (from /cross-lfs/trunk/scripts/untested/blfs-pkgconfig.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-pm-xml-parser.sh (from /cross-lfs/trunk/scripts/untested/blfs-pm-xml-parser.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-popt-64.sh (from /cross-lfs/trunk/scripts/untested/blfs-popt-64.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-popt.sh (from /cross-lfs/trunk/scripts/untested/blfs-popt.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-psutils.sh (from /cross-lfs/trunk/scripts/untested/blfs-psutils.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-python-64.sh (from /cross-lfs/trunk/scripts/untested/blfs-python-64.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-python.sh (from /cross-lfs/trunk/scripts/untested/blfs-python.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-qt.sh (from /cross-lfs/trunk/scripts/untested/blfs-qt.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-samba.sh (from /cross-lfs/trunk/scripts/untested/blfs-samba.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-sgml-common.sh (from /cross-lfs/trunk/scripts/untested/blfs-sgml-common.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-sgmlspm.sh (from /cross-lfs/trunk/scripts/untested/blfs-sgmlspm.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-shared-mime-info.sh (from /cross-lfs/trunk/scripts/untested/blfs-shared-mime-info.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-swig.sh (from /cross-lfs/trunk/scripts/untested/blfs-swig.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-tex.sh (from /cross-lfs/trunk/scripts/untested/blfs-tex.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-tiff-64.sh (from /cross-lfs/trunk/scripts/untested/blfs-tiff-64.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-tiff.sh (from /cross-lfs/trunk/scripts/untested/blfs-tiff.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-tk-64.sh (from /cross-lfs/trunk/scripts/untested/blfs-tk-64.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-tk.sh (from /cross-lfs/trunk/scripts/untested/blfs-tk.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-unzip.sh (from /cross-lfs/trunk/scripts/untested/blfs-unzip.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-which.sh (from /cross-lfs/trunk/scripts/untested/blfs-which.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/blfs-xmms.sh (from /cross-lfs/trunk/scripts/untested/blfs-xmms.sh:319)
   A /cross-lfs/trunk/scripts/untested/blfs-scripts/funcs.sh (from /cross-lfs/trunk/scripts/untested/funcs.sh:319)
   D /cross-lfs/trunk/scripts/untested/blfs-sgml-common.sh
   D /cross-lfs/trunk/scripts/untested/blfs-sgmlspm.sh
   D /cross-lfs/trunk/scripts/untested/blfs-shared-mime-info.sh
   D /cross-lfs/trunk/scripts/untested/blfs-swig.sh
   D /cross-lfs/trunk/scripts/untested/blfs-tex.sh
   D /cross-lfs/trunk/scripts/untested/blfs-tiff-64.sh
   D /cross-lfs/trunk/scripts/untested/blfs-tiff.sh
   D /cross-lfs/trunk/scripts/untested/blfs-tk-64.sh
   D /cross-lfs/trunk/scripts/untested/blfs-tk.sh
   D /cross-lfs/trunk/scripts/untested/blfs-unzip.sh
   D /cross-lfs/trunk/scripts/untested/blfs-which.sh
   D /cross-lfs/trunk/scripts/untested/blfs-xmms.sh
   D /cross-lfs/trunk/scripts/untested/funcs.sh

Move all the untested blfs scripts into blfs-scripts


------------------------------------------------------------------------
r321 | roliver | 2005-03-12 19:42:06 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/untested/blfs-scripts

add dir


------------------------------------------------------------------------
r320 | roliver | 2005-03-12 19:30:03 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-bdb-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-cracklib-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-cyrus-sasl-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-expat-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-fontconfig-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-freetype2-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-libpng-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-linux-pam-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-nssldap-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-openldap-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssl-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcl-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcp-wrappers-64.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-xorg-64.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs-64.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-bzip2-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-file-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-flex-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-gettext-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-glibc-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-libtool-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-ncurses-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-perl-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-procps-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-readline-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-shadow-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-zlib-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/temp-expect-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/temp-perl-64.sh
   A /cross-lfs/trunk/scripts/native-scripts/temp-tcl-64.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-bzip2-64.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-gettext-64.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-ncurses-64.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-tcp-wrappers-64.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-zlib-64.sh

Add all the foo-64.sh -> foo.sh symlinks into the repo where reqd


------------------------------------------------------------------------
r319 | roliver | 2005-03-12 19:15:47 +1100 (Sat, 12 Mar 2005) | 8 lines
Changed paths:
   A /cross-lfs/trunk/scripts/untested
   A /cross-lfs/trunk/scripts/untested/biarch-funcs.sh
   A /cross-lfs/trunk/scripts/untested/blfs-OpenEXR.sh
   A /cross-lfs/trunk/scripts/untested/blfs-a2ps.sh
   A /cross-lfs/trunk/scripts/untested/blfs-a52dec.sh
   A /cross-lfs/trunk/scripts/untested/blfs-alsa-lib.sh
   A /cross-lfs/trunk/scripts/untested/blfs-alsa-tools.sh
   A /cross-lfs/trunk/scripts/untested/blfs-alsa-utils.sh
   A /cross-lfs/trunk/scripts/untested/blfs-aspell.sh
   A /cross-lfs/trunk/scripts/untested/blfs-cdparanoia-III-64.sh
   A /cross-lfs/trunk/scripts/untested/blfs-cdparanoia-III.sh
   A /cross-lfs/trunk/scripts/untested/blfs-cups.sh
   A /cross-lfs/trunk/scripts/untested/blfs-dbus.sh
   A /cross-lfs/trunk/scripts/untested/blfs-desktop-file-utils.sh
   A /cross-lfs/trunk/scripts/untested/blfs-docbook-dssl.sh
   A /cross-lfs/trunk/scripts/untested/blfs-docbook-sgml.sh
   A /cross-lfs/trunk/scripts/untested/blfs-docbook-xml.sh
   A /cross-lfs/trunk/scripts/untested/blfs-docboox-xsl.sh
   A /cross-lfs/trunk/scripts/untested/blfs-doxygen.sh
   A /cross-lfs/trunk/scripts/untested/blfs-ed.sh
   A /cross-lfs/trunk/scripts/untested/blfs-enscript.sh
   A /cross-lfs/trunk/scripts/untested/blfs-espgs.sh
   A /cross-lfs/trunk/scripts/untested/blfs-fam.sh
   A /cross-lfs/trunk/scripts/untested/blfs-fftw.sh
   A /cross-lfs/trunk/scripts/untested/blfs-fftw3.sh
   A /cross-lfs/trunk/scripts/untested/blfs-fltk.sh
   A /cross-lfs/trunk/scripts/untested/blfs-foomatic.sh
   A /cross-lfs/trunk/scripts/untested/blfs-freeglut-64.sh
   A /cross-lfs/trunk/scripts/untested/blfs-freeglut.sh
   A /cross-lfs/trunk/scripts/untested/blfs-gamin.sh
   A /cross-lfs/trunk/scripts/untested/blfs-gd.sh
   A /cross-lfs/trunk/scripts/untested/blfs-gdbm-64.sh
   A /cross-lfs/trunk/scripts/untested/blfs-gdbm.sh
   A /cross-lfs/trunk/scripts/untested/blfs-gimp-print.sh
   A /cross-lfs/trunk/scripts/untested/blfs-glib12.sh
   A /cross-lfs/trunk/scripts/untested/blfs-graphviz.sh
   A /cross-lfs/trunk/scripts/untested/blfs-gtk12.sh
   A /cross-lfs/trunk/scripts/untested/blfs-hicolor-icon-theme.sh
   A /cross-lfs/trunk/scripts/untested/blfs-ijs.sh
   A /cross-lfs/trunk/scripts/untested/blfs-jadetex.sh
   A /cross-lfs/trunk/scripts/untested/blfs-jasper.sh
   A /cross-lfs/trunk/scripts/untested/blfs-lcms.sh
   A /cross-lfs/trunk/scripts/untested/blfs-lesstif.sh
   A /cross-lfs/trunk/scripts/untested/blfs-libidn.sh
   A /cross-lfs/trunk/scripts/untested/blfs-libjprg.sh
   A /cross-lfs/trunk/scripts/untested/blfs-libmad.sh
   A /cross-lfs/trunk/scripts/untested/blfs-libmikmod.sh
   A /cross-lfs/trunk/scripts/untested/blfs-libmpeg3.sh
   A /cross-lfs/trunk/scripts/untested/blfs-libogg.sh
   A /cross-lfs/trunk/scripts/untested/blfs-libraw1394.sh
   A /cross-lfs/trunk/scripts/untested/blfs-libvorbis.sh
   A /cross-lfs/trunk/scripts/untested/blfs-lm_sensors.sh
   A /cross-lfs/trunk/scripts/untested/blfs-mas.sh
   A /cross-lfs/trunk/scripts/untested/blfs-mtools.sh
   A /cross-lfs/trunk/scripts/untested/blfs-mysql.sh
   A /cross-lfs/trunk/scripts/untested/blfs-nas-64.sh
   A /cross-lfs/trunk/scripts/untested/blfs-nas.sh
   A /cross-lfs/trunk/scripts/untested/blfs-nasm.sh
   A /cross-lfs/trunk/scripts/untested/blfs-openjade.sh
   A /cross-lfs/trunk/scripts/untested/blfs-opensp.sh
   A /cross-lfs/trunk/scripts/untested/blfs-pcre.sh
   A /cross-lfs/trunk/scripts/untested/blfs-pkgconfig.sh
   A /cross-lfs/trunk/scripts/untested/blfs-pm-xml-parser.sh
   A /cross-lfs/trunk/scripts/untested/blfs-popt-64.sh
   A /cross-lfs/trunk/scripts/untested/blfs-popt.sh
   A /cross-lfs/trunk/scripts/untested/blfs-psutils.sh
   A /cross-lfs/trunk/scripts/untested/blfs-python-64.sh
   A /cross-lfs/trunk/scripts/untested/blfs-python.sh
   A /cross-lfs/trunk/scripts/untested/blfs-qt.sh
   A /cross-lfs/trunk/scripts/untested/blfs-samba.sh
   A /cross-lfs/trunk/scripts/untested/blfs-sgml-common.sh
   A /cross-lfs/trunk/scripts/untested/blfs-sgmlspm.sh
   A /cross-lfs/trunk/scripts/untested/blfs-shared-mime-info.sh
   A /cross-lfs/trunk/scripts/untested/blfs-swig.sh
   A /cross-lfs/trunk/scripts/untested/blfs-tex.sh
   A /cross-lfs/trunk/scripts/untested/blfs-tiff-64.sh
   A /cross-lfs/trunk/scripts/untested/blfs-tiff.sh
   A /cross-lfs/trunk/scripts/untested/blfs-tk-64.sh
   A /cross-lfs/trunk/scripts/untested/blfs-tk.sh
   A /cross-lfs/trunk/scripts/untested/blfs-unzip.sh
   A /cross-lfs/trunk/scripts/untested/blfs-which.sh
   A /cross-lfs/trunk/scripts/untested/blfs-xmms.sh
   A /cross-lfs/trunk/scripts/untested/funcs.sh

Adding in a pile of new scripts, so far untested.

These use functions from funcs.sh for the biarch handling.

Still yet to do properly is creating header stubs, need to create a separate
function to do this at some point...


------------------------------------------------------------------------
r318 | roliver | 2005-03-12 18:41:51 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-init.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-kern-hdrs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-san-kern-hdrs.sh

change create_stubs function name


------------------------------------------------------------------------
r317 | roliver | 2005-03-12 18:22:52 +1100 (Sat, 12 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-freetype2.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5.sh

Fix biarch handling

------------------------------------------------------------------------
r316 | roliver | 2005-03-12 18:17:21 +1100 (Sat, 12 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-libpng.sh

fix biarch handling of -config file

------------------------------------------------------------------------
r315 | roliver | 2005-03-12 18:15:03 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-xorg.sh

Add wrapper for biarch handling, ensure static libs get built with -fPIC


------------------------------------------------------------------------
r314 | roliver | 2005-03-12 18:03:24 +1100 (Sat, 12 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh

Remove copying of tgt-tools headers/libs, this is redundant, and should
have been removed long ago...


------------------------------------------------------------------------
r312 | roliver | 2005-03-12 17:26:53 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/configs/kernel/linux-2.4.22-i686.config
   A /cross-lfs/trunk/configs/kernel/linux-2.6.8.1-powerpc.config

Add more sample kernel configs


------------------------------------------------------------------------
r311 | roliver | 2005-03-12 17:23:16 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-ppc750-20041223
   A /cross-lfs/trunk/scripts/plfs-config-x86_64-native-20050103

Add more plfs-configs (should create a samples subdir)


------------------------------------------------------------------------
r310 | roliver | 2005-03-12 17:21:03 +1100 (Sat, 12 Mar 2005) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-config
   M /cross-lfs/trunk/scripts/build-blfs.sh

Update blfs stuff

------------------------------------------------------------------------
r309 | roliver | 2005-03-12 17:19:26 +1100 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh

Add portmap, tcp-wrappers and host-lilo


------------------------------------------------------------------------
r308 | roliver | 2005-03-12 17:17:36 +1100 (Sat, 12 Mar 2005) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/blfs-scripts/Makefile
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-bdb.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-cyrus-sasl.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-expat.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-fontconfig.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-freetype2.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-linux-pam.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-nssldap.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openldap.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssh.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-shadow-pam.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcl.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-xorg.sh

add TGT_CFLAGS

------------------------------------------------------------------------
r307 | roliver | 2005-03-12 17:08:01 +1100 (Sat, 12 Mar 2005) | 4 lines
Changed paths:
   A /cross-lfs/trunk/scripts/target-scripts/host-lilo.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-portmap.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-tcp-wrappers.sh

add portmap and tcpwrappers target scripts (to facillitate nfs support)
Add a script to build lilo on the host (cant use target-lilo)


------------------------------------------------------------------------
r306 | roliver | 2005-03-12 17:03:47 +1100 (Sat, 12 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-autoconf.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-automake.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-bash.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-bison.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-coreutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-diffutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-ed.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-file.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-findutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-flex.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gawk.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gettext.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-glibc.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-grep.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-groff.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gzip.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-inetutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-less.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-libtool.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-m4.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-make.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-man.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-module-init-tools.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-patch.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-perl.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-procinfo.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-procps.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-psmisc.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-readline.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-sed.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-shadow.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-sysklogd.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-tar.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-texinfo.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-vim.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-zlib.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-expect.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-perl.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-texinfo.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-vim.sh

Add TGT_CFLAGS to allow passing of target compiler flags. Use primarily for
arch specific optimisations, ie: -march -mcpu etc


------------------------------------------------------------------------
r305 | roliver | 2005-03-12 17:00:36 +1100 (Sat, 12 Mar 2005) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-bash.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-bison.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-coreutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-dev.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-diffutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-e2fsprogs.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-findutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-flex.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gawk.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gettext.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-grep.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gzip.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-inetutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-m4.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-make.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-module-init-tools.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-modutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-nfsutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-patch.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-procps.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-sed.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-strace.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-sysklogd.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-tar.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-zlib.sh

Add TGT_CFLAGS to allow passing of target compiler flags. Use primarily for
arch specific optimisations, ie: -march -mcpu etc


------------------------------------------------------------------------
r304 | roliver | 2005-03-12 16:53:52 +1100 (Sat, 12 Mar 2005) | 7 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh

When modifying triplet (when buildhost = target), modify the second part of 
the triplet instead of the last

ie x86_64-pcx-linux-gnu instead of
   x86_64-pc-linux-gnux


------------------------------------------------------------------------
r303 | roliver | 2004-12-13 22:31:52 +1100 (Mon, 13 Dec 2004) | 12 lines
Changed paths:
   A /cross-lfs/trunk/patches/readline-5.0-fixes-1.patch
   M /cross-lfs/trunk/scripts/native-scripts/native-readline.sh

Add readline patch

Submitted By: Jim Gifford (patches at jg555 dot com)
Date: 2004-09-29
Initial Package Version: 5.0
Origin: Various
Upstream Status: Already Applied
Description: This patch contains various fixes recommended
             by the author Chet. The original patches are
             avaiable at ftp://ftp.cwru.edu/pub/bash/readline-5.0-patches


------------------------------------------------------------------------
r302 | roliver | 2004-12-13 22:11:04 +1100 (Mon, 13 Dec 2004) | 10 lines
Changed paths:
   A /cross-lfs/trunk/patches/binutils-2.15.94.0.1-fix_strip-1.patch
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-binutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-binutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh

Add fix for overzealous strip command with HJL binutils 2.15.94.0.1

Submitted By: Jeremy Utley <jeremy@linuxfromscratch.org>
Initial Package Version: 2.15.94.0.1
Upstream Status: From Upstream
Origin: ML Post by HJ Lu - http://sources.redhat.com/ml/binutils/2004-11/msg00332.html
Description: With this version of binutils, TLS information is lost when
stripping libc.a.  This patch fixes the problem.  Binutils bugzilla id 574.


------------------------------------------------------------------------
r301 | roliver | 2004-12-13 22:09:43 +1100 (Mon, 13 Dec 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/patches/gcc-3.4.3-linkonce-1.patch

Actually add the patch this time ;-)


------------------------------------------------------------------------
r300 | roliver | 2004-12-13 21:49:12 +1100 (Mon, 13 Dec 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-nssldap.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-ntp.sh

Add some more blfs scripts...


------------------------------------------------------------------------
r299 | roliver | 2004-12-13 21:44:31 +1100 (Mon, 13 Dec 2004) | 11 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh

Add linkonce patch to all gcc builds.
Should be fixed upstream gcc-3.4.4

Submitted By: Jim Gifford (patches at jg555 dot com)
Date: 2004-11-05
Initial Package Version: 3.4.3
Origin: Jim Gifford
Upstream Status: Delayed till 3.4.4
Description: Fixes linkone/comdat issue


------------------------------------------------------------------------
r298 | roliver | 2004-12-13 21:22:00 +1100 (Mon, 13 Dec 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-binutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/temp-binutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh

Update binutils scripts so latest HJL binutils gets multilib patched


------------------------------------------------------------------------
r297 | roliver | 2004-12-07 22:45:01 +1100 (Tue, 07 Dec 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-config
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-shadow-pam.sh
   M /cross-lfs/trunk/scripts/build-blfs.sh

Cleanups. 
actually specify --with-pam when building shadow w pam (duh)


------------------------------------------------------------------------
r296 | roliver | 2004-12-01 00:37:42 +1100 (Wed, 01 Dec 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Fix up symlink creation and neaten it up some...


------------------------------------------------------------------------
r295 | roliver | 2004-12-01 00:31:28 +1100 (Wed, 01 Dec 2004) | 11 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-cyrus-sasl.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openldap.sh

updated cyrus-sasl build to explicitly define some mechs to use.
For some (inexplicable) reason openldap when built against it didn't
believe it had any supported sasl mechanisms...
Also plugindir is now always set during configure to be /usr/${libdir}/sasl2
(where libdir is "lib" by default, or "lib64" for 64bit during bi-arch builds)

For openldap, --disable debug was removed from the configure options (to 
facilitate error checking etc). -lpthread was also added to the LDFLAGS, 
though this is more than likely unnecessary...


------------------------------------------------------------------------
r294 | roliver | 2004-12-01 00:26:32 +1100 (Wed, 01 Dec 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-blfs.sh
   M /cross-lfs/trunk/scripts/plfs-config-i686-20041101

Cleanup build-blfs.sh
Also set plfs-config-i686-20041101 to use glibc from LFS6.0
                                                                               

------------------------------------------------------------------------
r293 | roliver | 2004-11-24 00:13:02 +1100 (Wed, 24 Nov 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

bleh, had unneeded slashes :P

------------------------------------------------------------------------
r292 | roliver | 2004-11-24 00:10:44 +1100 (Wed, 24 Nov 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Add a bunch of symlinks required for hotplug...
Will need to investigate why hotplug doesn't use PATH from profile


------------------------------------------------------------------------
r291 | roliver | 2004-11-23 23:36:50 +1100 (Tue, 23 Nov 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh

Something weird broke in here, was bypassing the test for kernel config...
Quick hack and slash, will NEED to be revisited...


------------------------------------------------------------------------
r290 | roliver | 2004-11-23 19:51:54 +1100 (Tue, 23 Nov 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openldap.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssh.sh

Add wrapper scripts specifying KRB5_KTNAME.
This will be turned into an option later...


------------------------------------------------------------------------
r289 | roliver | 2004-11-23 19:48:26 +1100 (Tue, 23 Nov 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-glibc.sh

Copy across nscd.conf to /etc


------------------------------------------------------------------------
r288 | roliver | 2004-11-12 00:44:27 +1100 (Fri, 12 Nov 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh
   M /cross-lfs/trunk/scripts/plfs-config-i686-20041101
   A /cross-lfs/trunk/scripts/target-scripts/target-hotplug.sh

Add target-hotplug.sh script.
Will install hotplug only if USE_HOTPLUG=Y


------------------------------------------------------------------------
r287 | roliver | 2004-11-12 00:02:36 +1100 (Fri, 12 Nov 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-i686-20041101
   M /cross-lfs/trunk/scripts/target-scripts/target-lfs-bootscripts.sh

Updated to install hotplug bootscript if USE_HOTPLUG=Y (set in plfs-config).
TODO: update all the supplied plfs-configs


------------------------------------------------------------------------
r286 | roliver | 2004-11-11 23:46:46 +1100 (Thu, 11 Nov 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-i686-20041101

update lfs-bootscript version


------------------------------------------------------------------------
r285 | roliver | 2004-11-11 22:58:27 +1100 (Thu, 11 Nov 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-native.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-iproute2.sh

bleh, forgot to include a native-iproute2 script ;-)


------------------------------------------------------------------------
r284 | roliver | 2004-11-09 23:43:40 +1100 (Tue, 09 Nov 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/README.cross-lfs

Update the README to reflect the new svn repo location
(Special thanks to Jeremy Utley for the svn hosting)


------------------------------------------------------------------------
r282 | ryan | 2004-11-08 23:54:23 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-i686-20041101
   A /cross-lfs/trunk/scripts/plfs-config-x86_64-native-20041021

Add more plfs-configs

------------------------------------------------------------------------
r281 | ryan | 2004-11-08 23:48:42 +1100 (Mon, 08 Nov 2004) | 6 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh

Various cleanups of the kernel script.

ARCH is now derived from TGT_ARCH (as is done in the cross-kern-headers
script), config file looked for is still defined from TGT_ARCH.


------------------------------------------------------------------------
r280 | ryan | 2004-11-08 23:32:55 +1100 (Mon, 08 Nov 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh

Hack around issue w getting kernel config.
Really should be fixed...


------------------------------------------------------------------------
r279 | ryan | 2004-11-08 23:29:25 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-blfs.sh

Many fixups, added packages

------------------------------------------------------------------------
r278 | ryan | 2004-11-08 23:22:55 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-config

Add more packages

------------------------------------------------------------------------
r277 | ryan | 2004-11-08 23:22:21 +1100 (Mon, 08 Nov 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-ncurses.sh

Force xterm to always be colour
from Alexander Patrakov, IRC

------------------------------------------------------------------------
r276 | ryan | 2004-11-08 20:43:04 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-perl.sh

Fix perl build so correct library paths are searched

------------------------------------------------------------------------
r275 | ryan | 2004-11-08 20:41:01 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-expat.sh

Add expat script

------------------------------------------------------------------------
r274 | ryan | 2004-11-08 20:40:11 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-cracklib.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-fontconfig.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-freetype2.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-libpng.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-linux-pam.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-openldap.sh

Add blfs packages

------------------------------------------------------------------------
r273 | ryan | 2004-11-08 20:37:59 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/bash-3.0-avoid_WCONTINUED_if_invalid.patch
   M /cross-lfs/trunk/patches/cyrus-sasl-2.1.20-set_plugindir_from_libdir.patch
   M /cross-lfs/trunk/patches/db-4.2.52-libtool_fixes.patch
   A /cross-lfs/trunk/patches/freetype-2.1.9-bytecode_interpreter-1.patch
   A /cross-lfs/trunk/patches/libpng-1.2.7-fix_pc_for_biarch.patch
   A /cross-lfs/trunk/patches/libpng-1.2.7-link_to_proper_libs-1.patch
   M /cross-lfs/trunk/patches/openssl-0.9.7d-32bit_x86_64.patch
   M /cross-lfs/trunk/patches/openssl-0.9.7d-allow_lib64.patch
   M /cross-lfs/trunk/patches/openssl-0.9.7d-mit_krb5.patch

Add new patches for blfs-packages

------------------------------------------------------------------------
r272 | ryan | 2004-11-08 20:32:51 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5.sh
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-nfs-utils.sh

Script cleanups

------------------------------------------------------------------------
r271 | ryan | 2004-11-08 20:29:14 +1100 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/blfs-scripts/blfs-portmap.sh

Cleanup errors

------------------------------------------------------------------------
r270 | ryan | 2004-10-26 16:22:54 +1000 (Tue, 26 Oct 2004) | 9 lines
Changed paths:
   A /cross-lfs/trunk/configs/cracklib
   A /cross-lfs/trunk/configs/cracklib/cracklib_wordlist
   A /cross-lfs/trunk/patches/Linux-PAM-0.77-linkage-3.patch
   A /cross-lfs/trunk/patches/cracklib,2.7-blfs-1.patch
   A /cross-lfs/trunk/patches/cyrus-sasl-2.1.20-set_plugindir_from_libdir-full.patch
   A /cross-lfs/trunk/patches/cyrus-sasl-2.1.20-set_plugindir_from_libdir.patch
   A /cross-lfs/trunk/patches/db-4.2.52-libtool_fixes.patch
   A /cross-lfs/trunk/patches/openssl-0.9.7d-32bit_x86_64.patch
   A /cross-lfs/trunk/patches/openssl-0.9.7d-allow_lib64.patch
   A /cross-lfs/trunk/patches/openssl-0.9.7d-mit_krb5.patch
   A /cross-lfs/trunk/patches/patch.4.2.52.1
   A /cross-lfs/trunk/patches/patch.4.2.52.2
   A /cross-lfs/trunk/patches/portmap-5beta-compilation_fixes-3.patch
   A /cross-lfs/trunk/patches/portmap-5beta-glibc_errno_fix-1.patch
   A /cross-lfs/trunk/patches/shadow-4.0.4.1-pam-1.patch
   A /cross-lfs/trunk/patches/tcp_wrappers-7.6-gcc34-1.patch
   A /cross-lfs/trunk/patches/tcp_wrappers-7.6-shared_lib_plus_plus-1.patch
   A /cross-lfs/trunk/scripts/blfs-config
   A /cross-lfs/trunk/scripts/blfs-scripts
   A /cross-lfs/trunk/scripts/blfs-scripts/Makefile
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-bdb.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-cracklib.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-cyrus-sasl.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-linux-pam.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-mit-krb5.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-nfs-utils.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-openldap.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssh.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-openssl.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-portmap.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-shadow-pam.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcl.sh
   A /cross-lfs/trunk/scripts/blfs-scripts/blfs-tcp-wrappers.sh
   A /cross-lfs/trunk/scripts/build-blfs.sh

Merge in scripts for building selected blfs packages.

Various hackery had to be performed with bi-arch builds of openssl,
cyrus-sasl, uncommented patches have been added to fix issues.

This should be considered 'alpha' , if it works, YAY, if not
please post patches ;-)


------------------------------------------------------------------------
r268 | ryan | 2004-10-26 15:38:32 +1000 (Tue, 26 Oct 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040801

Uncomment lilo


------------------------------------------------------------------------
r267 | ryan | 2004-10-26 15:33:23 +1000 (Tue, 26 Oct 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-iproute2.sh

Typo fixups.
make install is now done as root


------------------------------------------------------------------------
r266 | ryan | 2004-10-26 15:31:14 +1000 (Tue, 26 Oct 2004) | 8 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh
   A /cross-lfs/trunk/scripts/target-scripts/host-bin86.sh
   A /cross-lfs/trunk/scripts/target-scripts/host-nasm.sh

Added two new scripts for building nasm and bin86 into ${HST_TOOLS}
for building target-lilo (we cannot run the cross-built bin86 and nasm)

These are kept in target-scripts (for the moment anyway, they should
belong under host-scripts and be run from build-host.sh).

Will be revisited

------------------------------------------------------------------------
r265 | ryan | 2004-10-26 15:24:01 +1000 (Tue, 26 Oct 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh

Fix brainfart with libgcc_s symlink creation


------------------------------------------------------------------------
r264 | ryan | 2004-10-26 15:22:31 +1000 (Tue, 26 Oct 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-module-init-tools.sh

Add a bit more sanity to the invocation of make moveold


------------------------------------------------------------------------
r263 | ryan | 2004-10-26 14:53:26 +1000 (Tue, 26 Oct 2004) | 6 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-hdrs.sh

No functionality changed

Added some comments to remind myself to check which bits/wordsize.h gets
installed during bi-arch builds... to be investigated


------------------------------------------------------------------------
r262 | ryan | 2004-10-26 14:51:01 +1000 (Tue, 26 Oct 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/temp-binutils.sh

Fix so genscripts multilib patch gets applied for HJL 2.15.92.* as well
(missed this script when fixing the others)


------------------------------------------------------------------------
r261 | ryan | 2004-10-26 14:47:53 +1000 (Tue, 26 Oct 2004) | 14 lines
Changed paths:
   A /cross-lfs/trunk/patches/bash-3.0-avoid_WCONTINUED-1.patch
   A /cross-lfs/trunk/patches/bash-3.0-fixes-1.patch
   M /cross-lfs/trunk/scripts/native-scripts/native-bash.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-bash.sh

Fix issues with bash 3.0.
Add bash-3.0 conglomeration patch
                                                                                
Submitted By: Jeremy Utley <jeremy@linuxfromscratch.org>
Date: 2004-10-13
Initial Package Version: 3.0
Upstream Status: Submitted Upstream
Origin: Originally created by Greg Schafer
Description: Bash-3.0 has a execution problem with newer Glibc's.  This patch,
submitted to bash-bugs by Tim Waugh, fixes the problem.  See:
http://lists.gnu.org/archive/html/bug-bash/2004-09/msg00081.html
Patch also contains a slight code change taken from Fedora SRPM.


------------------------------------------------------------------------
r260 | ryan | 2004-10-05 15:39:40 +1000 (Tue, 05 Oct 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/configs/kernel/linux-2.6.8.1-x86_64.config-K8VNXP

Add new kernel config for x86_64 on Gigabyte K8VNXP MB for 2.6.8.1


------------------------------------------------------------------------
r259 | ryan | 2004-10-05 15:37:19 +1000 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-x86_64-20040930

Updated plfs-config for x86_64

------------------------------------------------------------------------
r258 | ryan | 2004-10-05 15:15:46 +1000 (Tue, 05 Oct 2004) | 11 lines
Changed paths:
   A /cross-lfs/trunk/patches/iproute2-2.6.8_040823-remove_db-1.patch

Added iproute2-2.6.8_040823-remove_db-1.patch from LFS-6.0-testing to remove
dependency on bdb (iproute2 will not build arpd)

Submitted By: Jim Gifford (jim at linuxfromscratch dot org)
Date: 2004-07-02
Initial Package Version: 2.6.8
Origin: Jim Gifford
Upstream Status: N/A
Description: Removes DB for LFS Build


------------------------------------------------------------------------
r257 | ryan | 2004-10-05 15:11:36 +1000 (Tue, 05 Oct 2004) | 6 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-dev.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-dev.sh

Updated to use udev-config-2.permissions .
udev-config-2.permissions and udev-config-1.rules are now installed under
/etc/udev/{rules.d,permissions.d} as 25-lfs.{rules,permissions}
(as per LFS book 6.0 testing ch6)


------------------------------------------------------------------------
r256 | ryan | 2004-10-05 14:22:16 +1000 (Tue, 05 Oct 2004) | 8 lines
Changed paths:
   A /cross-lfs/trunk/scripts/target-scripts/target-iproute2.sh

Add script for cross-building iproute2.

This needs some more work. Currently it isn't referenced in build-target.sh,
nor is there an IPROUTE2_VER variable in plfs-config.

iproute2 is required by the lfs-bootscripts.


------------------------------------------------------------------------
r255 | ryan | 2004-10-05 14:16:30 +1000 (Tue, 05 Oct 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-lfs-bootscripts.sh

Update created ifconfig.ethX file to reflect current lfs bootscripts.
(note: iproute2 is required, still testing cross-building of it)


------------------------------------------------------------------------
r254 | ryan | 2004-10-05 14:14:37 +1000 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-sysklogd.sh

Fixup permissions issues during symlink creation (now done as root).

------------------------------------------------------------------------
r253 | ryan | 2004-10-05 14:12:22 +1000 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Neaten up symlink creation

------------------------------------------------------------------------
r252 | ryan | 2004-10-05 14:08:25 +1000 (Tue, 05 Oct 2004) | 10 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh

Commented out copying of glibc's startfiles to under the cross-toolchains
tree.

This was done as a failsafe during development to absolutely ensure the 
startfiles got picked up.

As library search order is modified to search ${TGT_TOOLS}/{lib,lib64} in
the toolchain this is redundant.


------------------------------------------------------------------------
r251 | ryan | 2004-10-05 14:05:08 +1000 (Tue, 05 Oct 2004) | 9 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh

Commented out the copying of ${TGT_TOOLS}/{lib,lib64,include} under
the cross-tools lib/include search paths.

This was here as a failsafe during development.

As we adjust the default search locations for headers and libraries
to point under ${TGT_TOOLS} in gcc and ld this is redundant.


------------------------------------------------------------------------
r250 | ryan | 2004-10-05 13:52:32 +1000 (Tue, 05 Oct 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh

Fix brainfart with libgcc_s_32.so symlink creation (was creating libgcc_s.so
twice... )

------------------------------------------------------------------------
r249 | ryan | 2004-09-30 17:42:57 +1000 (Thu, 30 Sep 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-hdrs.sh

Set min kernel ver to 2.6.8 when using linux-2.6.8.1


------------------------------------------------------------------------
r248 | ryan | 2004-09-30 17:40:32 +1000 (Thu, 30 Sep 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-init.sh

Minor cleanups


------------------------------------------------------------------------
r247 | ryan | 2004-09-30 17:39:35 +1000 (Thu, 30 Sep 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-binutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh

Update so genscripts multilib patch is applied when using HJL binutils 2.15.92.* 


------------------------------------------------------------------------
r246 | ryan | 2004-09-29 18:43:00 +1000 (Wed, 29 Sep 2004) | 8 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh

Some fixups to target-gcc.sh
 o --libexecdir is now set to ${TGT_TOOLS}/${libdir} 
   (where libdir is lib or lib64 ) as is done in native-gcc.sh
 o Creation of libgcc_s symlinks required for native glibc builds
   fixed up to cater for biarch
   (this could do with some neatening up)


------------------------------------------------------------------------
r245 | ryan | 2004-09-28 18:33:16 +1000 (Tue, 28 Sep 2004) | 10 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-automake.sh

Reported by Erik-Jan Post <ej.post@xs4all.nl> 20040924

insthook test fails as insthook.test makefile uses a SCRIPTS variable
and make is called with "-e".
Therefore our SCRIPTS env var we use for specifying the location of our
scripts clobbers the insthook.test's expected SCRIPTS

Here we just unset it (only will affect this script)


------------------------------------------------------------------------
r244 | ryan | 2004-09-28 18:22:58 +1000 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-i686-lfs-5.1.1

Yet another plfs-config ;-)

------------------------------------------------------------------------
r243 | ryan | 2004-09-28 18:12:16 +1000 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh

Cleanup comments, barf out if TGT_ARCH isnt listed in the case statement

------------------------------------------------------------------------
r242 | ryan | 2004-09-28 17:33:20 +1000 (Tue, 28 Sep 2004) | 8 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Neatened up the sample fstab file

Adjusted the default PATH so that standard binary locations
( ie /bin /usr/bin /sbin etc ) are searched before our target tools.

Ensures that we will always use the newer binaries when they are created
during the native build

------------------------------------------------------------------------
r241 | ryan | 2004-09-28 17:30:40 +1000 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh

Fixup brainfart with edits used to stop running fixincludes

------------------------------------------------------------------------
r240 | ryan | 2004-09-28 17:28:11 +1000 (Tue, 28 Sep 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-coreutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gawk.sh

Updated to fix issues cross-building where build = target.
BUILD will be modified so configure doesn't attempt to run checks it cant


------------------------------------------------------------------------
r239 | ryan | 2004-09-28 17:25:38 +1000 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-flex.sh

Correct the comments in lex wrapper script

------------------------------------------------------------------------
r238 | ryan | 2004-09-28 17:23:32 +1000 (Tue, 28 Sep 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-native.sh
   A /cross-lfs/trunk/scripts/native-scripts/temp-texinfo.sh

Added temp-texinfo.sh to create makeinfo etc (reqd for generating
glibc documentation)
Updated build-native.sh

------------------------------------------------------------------------
r237 | ryan | 2004-09-28 17:19:43 +1000 (Tue, 28 Sep 2004) | 15 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh

Fixed header modifications for gcc so only the files that require modifications
get touched.

For each architecture the header files to modify are explicitly set in the
case statement

dl_hfiles is used to list the files which require modification of the 
dynamic linker location

sf_hfiles is used to list the headers where we set the startfile_prefix_spec.

In target-gcc.sh, restriction of the standard include search path is now
performed by an edit of gcc/cppdefault.c directly


------------------------------------------------------------------------
r236 | ryan | 2004-09-28 14:43:33 +1000 (Tue, 28 Sep 2004) | 10 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-glibc.sh

Fix issues caused by setting min kernel ver to 2.6.8.1 .
If 2.6.8.1 kernel headers are used, min kernel ver will be 
set to 2.6.8 instead.

With the native build of glibc the tests have been moved after install.
This is due to librt on occasion being rebuilt incorrectly during
"make check". This will have to be revisited, problem may have been
fixed by upstream regenerating the autotools stuff.


------------------------------------------------------------------------
r235 | ryan | 2004-09-06 16:58:07 +1000 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-hdrs.sh

Fix up issues with x86_64 and ppc

------------------------------------------------------------------------
r234 | ryan | 2004-09-06 16:55:15 +1000 (Mon, 06 Sep 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/configs/kernel/linux-2.6.1-i686-inspiron-8000

Added


------------------------------------------------------------------------
r233 | ryan | 2004-09-06 16:52:27 +1000 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/configs/kernel/linux-2.6.7-i686-inspiron-8000.config

Added config, actually from 2.6.1 but hey ;-)

------------------------------------------------------------------------
r232 | ryan | 2004-09-06 16:47:22 +1000 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-native.sh

Cleanup, add native-dev.sh

------------------------------------------------------------------------
r231 | ryan | 2004-09-06 16:45:40 +1000 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh

Add option for using distcc

------------------------------------------------------------------------
r230 | ryan | 2004-09-06 16:44:40 +1000 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Create /dev/shm during target final prep

------------------------------------------------------------------------
r229 | ryan | 2004-09-06 16:42:15 +1000 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-man.sh

Update list ov versions requiring patching

------------------------------------------------------------------------
r228 | ryan | 2004-09-06 16:41:19 +1000 (Mon, 06 Sep 2004) | 6 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh

Overide TGT_ARCH for i?86 so it is set to i386.

This is an interim fix, we should provide a case statement as we do for
gcc...


------------------------------------------------------------------------
r227 | ryan | 2004-09-06 16:38:34 +1000 (Mon, 06 Sep 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/native-scripts/native-dev.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-dev.sh

Add native-dev.sh


------------------------------------------------------------------------
r226 | ryan | 2004-09-06 16:29:51 +1000 (Mon, 06 Sep 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/temp-expect.sh

libdir was not getting set in the event of a non-biarch build.
Fixed

------------------------------------------------------------------------
r225 | ryan | 2004-09-06 16:28:04 +1000 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-coreutils.sh

Install coreutils as root, else we do not install su

------------------------------------------------------------------------
r224 | ryan | 2004-09-06 16:26:49 +1000 (Mon, 06 Sep 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-kern-hdrs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-san-kern-hdrs.sh

Recursive copy was not performed during non-biarch builds due to oversight.
Fixed here...

------------------------------------------------------------------------
r223 | ryan | 2004-09-06 16:24:22 +1000 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh

Remove PMFLAGS from make for binutils.

------------------------------------------------------------------------
r222 | ryan | 2004-09-06 16:23:09 +1000 (Mon, 06 Sep 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh

Remove PMFLAGS from make for binutils... have had issues building
this parallel

------------------------------------------------------------------------
r221 | fthain | 2004-08-17 02:19:11 +1000 (Tue, 17 Aug 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Added /etc/shells, chmod & chown symlinks, and improved readability.

------------------------------------------------------------------------
r220 | fthain | 2004-08-15 00:01:45 +1000 (Sun, 15 Aug 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-bash.sh

Added all the m68k results for configure tests that run native.

------------------------------------------------------------------------
r219 | fthain | 2004-08-11 19:40:34 +1000 (Wed, 11 Aug 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh

Changed no to yes and changed make defconfig to make config for linux 2.4.

------------------------------------------------------------------------
r218 | fthain | 2004-08-07 16:36:33 +1000 (Sat, 07 Aug 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-sysklogd.sh

Fixed permissions on ${LFS}/usr/sbin.

------------------------------------------------------------------------
r217 | fthain | 2004-08-07 16:36:08 +1000 (Sat, 07 Aug 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh

Fixed typo preventing final prep from running.

------------------------------------------------------------------------
r216 | ryan | 2004-08-04 13:41:56 +1000 (Wed, 04 Aug 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh
   M /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040801
   D /cross-lfs/trunk/scripts/target-scripts/build-lilo.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-lilo.sh (from /cross-lfs/trunk/scripts/target-scripts/build-lilo.sh:214)

Add lilo bootloader option
( builds 32bit nasm, bin86 and lilo )

------------------------------------------------------------------------
r215 | ryan | 2004-08-04 13:05:07 +1000 (Wed, 04 Aug 2004) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/native-scripts/final-binutils.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-bison.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-coreutils.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-findutils.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-gawk.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-gcc.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-glibc.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-less.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-m4.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-ncurses.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-vim.sh
   D /cross-lfs/trunk/scripts/native-scripts/final-zlib.sh

Remove old files

------------------------------------------------------------------------
r214 | ryan | 2004-08-04 13:03:09 +1000 (Wed, 04 Aug 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-procps.sh

Fix native-procps.sh install (for version 3.2.2).
Specify CC="gcc ${ARCH_CFLAGS}" during make install to avoid issues during 
bi-arch builds

------------------------------------------------------------------------
r213 | ryan | 2004-08-04 12:59:44 +1000 (Wed, 04 Aug 2004) | 5 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-sysklogd.sh

Added additional symlinks int target-final-prep.sh to appease the
LFS bootscripts (v2.1.2).

Perform target-sysklogd.sh installation as root 

------------------------------------------------------------------------
r212 | ryan | 2004-08-03 15:10:48 +1000 (Tue, 03 Aug 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040801

Updated plfs-config to reflect lfs-unstable from 20040801

------------------------------------------------------------------------
r211 | ryan | 2004-08-03 15:09:22 +1000 (Tue, 03 Aug 2004) | 10 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-native.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   A /cross-lfs/trunk/scripts/cross-scripts/make_symlinks.sh
   A /cross-lfs/trunk/scripts/native-scripts/make_symlinks.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-bash.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-readline.sh
   A /cross-lfs/trunk/scripts/target-scripts/make_symlinks.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-bash.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-m4.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-procps.sh

Add some scripts in the script directories to create required symlinks
for bi-arch builds

Add readline to target-native builds and modify bash instructions.
(if USE_READLINE=Y in plfs-config)

(bash instructions may need revisiting)

Modify target-procps.sh to pass CC to make during make install

------------------------------------------------------------------------
r210 | ryan | 2004-08-02 16:40:32 +1000 (Mon, 02 Aug 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/configs/udev/udev-config-2.permissions

Import new udev config

------------------------------------------------------------------------
r209 | ryan | 2004-08-02 14:22:02 +1000 (Mon, 02 Aug 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/configs/kernel/linux-2.6.7-x86_64.config-K8VNXP
   A /cross-lfs/trunk/patches/kbd-1.12.patch
   M /cross-lfs/trunk/scripts/build-native.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-e2fsprogs.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-gawk.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-grep.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-kbd.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-make.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-man.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-module-init-tools.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-patch.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-procinfo.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-procps.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-psmisc.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-shadow.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-sysklogd.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-sysvinit.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-tar.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-util-linux.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-sysklogd.sh

Merge in a pile of scripts from plfs (will need to be looked at)
Fix up symlink creation (target-final-prep.sh,target-sysklogd) and installation locations
(native-grep.sh,native-gawk.sh,native-e2fsprogs)

------------------------------------------------------------------------
r208 | ryan | 2004-07-30 15:58:22 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-native.sh

Add svn:keywords properties

------------------------------------------------------------------------
r207 | ryan | 2004-07-30 15:34:57 +1000 (Fri, 30 Jul 2004) | 8 lines
Changed paths:
   M /cross-lfs/trunk/scripts/host-scripts/host-coreutils-binaries.sh

Added creation of localedir.h in coreutils-2.5.1+ , or else the echo
build barfs...

Error reported by 
   Peram's LFS user <lfs@peram.org>
   Brian Beattie <beattie@beattie-home.net>


------------------------------------------------------------------------
r206 | ryan | 2004-07-30 13:34:15 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/ed-0.2-mkstemp-1.patch
   A /cross-lfs/trunk/patches/kbd-1.08.patch
   M /cross-lfs/trunk/scripts/build-native.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-ed.sh

add ed and kbd patches, update build-native

------------------------------------------------------------------------
r205 | ryan | 2004-07-30 12:57:38 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/README.cross-lfs

Added mention of build-native.sh

------------------------------------------------------------------------
r204 | ryan | 2004-07-30 12:38:14 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/host-scripts/host-autoconf.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-automake.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-binutils.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-bison.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-coreutils-binaries.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-flex.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-gawk.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-gcc.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-gettext.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-grep.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-libtool.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-m4.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-make.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-ncurses.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-patch.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-sed.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-tar.sh
   M /cross-lfs/trunk/scripts/host-scripts/host-texinfo.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-nfsutils.sh

Script cleanups

------------------------------------------------------------------------
r203 | ryan | 2004-07-30 12:27:38 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/build-final.sh
   A /cross-lfs/trunk/scripts/build-native.sh (from /cross-lfs/trunk/scripts/build-final.sh:202)

Name change

------------------------------------------------------------------------
r202 | ryan | 2004-07-30 12:27:16 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-final.sh

Alter file to point at native-scripts/*

------------------------------------------------------------------------
r201 | ryan | 2004-07-30 12:19:48 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-final.sh
   M /cross-lfs/trunk/scripts/build-host.sh

Minor fixups

------------------------------------------------------------------------
r200 | ryan | 2004-07-30 12:14:08 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/final-scripts
   A /cross-lfs/trunk/scripts/native-scripts (from /cross-lfs/trunk/scripts/final-scripts:195)
   A /cross-lfs/trunk/scripts/native-scripts/native-autoconf.sh (from /cross-lfs/trunk/scripts/final-scripts/native-autoconf.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-automake.sh (from /cross-lfs/trunk/scripts/final-scripts/native-automake.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-bash.sh (from /cross-lfs/trunk/scripts/final-scripts/native-bash.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-binutils.sh (from /cross-lfs/trunk/scripts/final-scripts/native-binutils.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-bison.sh (from /cross-lfs/trunk/scripts/final-scripts/native-bison.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-bzip2.sh (from /cross-lfs/trunk/scripts/final-scripts/native-bzip2.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-coreutils.sh (from /cross-lfs/trunk/scripts/final-scripts/native-coreutils.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-diffutils.sh (from /cross-lfs/trunk/scripts/final-scripts/native-diffutils.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-e2fsprogs.sh (from /cross-lfs/trunk/scripts/final-scripts/native-e2fsprogs.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-ed.sh (from /cross-lfs/trunk/scripts/final-scripts/native-ed.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-file.sh (from /cross-lfs/trunk/scripts/final-scripts/native-file.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-findutils.sh (from /cross-lfs/trunk/scripts/final-scripts/native-findutils.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-flex.sh (from /cross-lfs/trunk/scripts/final-scripts/native-flex.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-gawk.sh (from /cross-lfs/trunk/scripts/final-scripts/native-gawk.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh (from /cross-lfs/trunk/scripts/final-scripts/native-gcc.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-gettext.sh (from /cross-lfs/trunk/scripts/final-scripts/native-gettext.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-glibc.sh (from /cross-lfs/trunk/scripts/final-scripts/native-glibc.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-grep.sh (from /cross-lfs/trunk/scripts/final-scripts/native-grep.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-groff.sh (from /cross-lfs/trunk/scripts/final-scripts/native-groff.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-gzip.sh (from /cross-lfs/trunk/scripts/final-scripts/native-gzip.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-inetutils.sh (from /cross-lfs/trunk/scripts/final-scripts/native-inetutils.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-kbd.sh (from /cross-lfs/trunk/scripts/final-scripts/native-kbd.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-less.sh (from /cross-lfs/trunk/scripts/final-scripts/native-less.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-libtool.sh (from /cross-lfs/trunk/scripts/final-scripts/native-libtool.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-m4.sh (from /cross-lfs/trunk/scripts/final-scripts/native-m4.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-ncurses.sh (from /cross-lfs/trunk/scripts/final-scripts/native-ncurses.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-nettools.sh (from /cross-lfs/trunk/scripts/final-scripts/native-nettools.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-perl.sh (from /cross-lfs/trunk/scripts/final-scripts/native-perl.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-sed.sh (from /cross-lfs/trunk/scripts/final-scripts/native-sed.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-texinfo.sh (from /cross-lfs/trunk/scripts/final-scripts/native-texinfo.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-vim.sh (from /cross-lfs/trunk/scripts/final-scripts/native-vim.sh:199)
   A /cross-lfs/trunk/scripts/native-scripts/native-zlib.sh (from /cross-lfs/trunk/scripts/final-scripts/native-zlib.sh:199)
   R /cross-lfs/trunk/scripts/native-scripts/temp-dejagnu.sh (from /cross-lfs/trunk/scripts/final-scripts/temp-dejagnu.sh:198)
   R /cross-lfs/trunk/scripts/native-scripts/temp-expect.sh (from /cross-lfs/trunk/scripts/final-scripts/temp-expect.sh:198)
   R /cross-lfs/trunk/scripts/native-scripts/temp-tcl.sh (from /cross-lfs/trunk/scripts/final-scripts/temp-tcl.sh:198)
   R /cross-lfs/trunk/scripts/native-scripts/temp-vim.sh (from /cross-lfs/trunk/scripts/final-scripts/temp-vim.sh:198)

Move final-scripts to native-scripts

------------------------------------------------------------------------
r199 | ryan | 2004-07-30 12:04:10 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/final-scripts/final-autoconf.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-automake.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-bash.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-binutils.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-bison.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-bzip2.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-coreutils.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-diffutils.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-e2fsprogs.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-ed.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-file.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-findutils.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-flex.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-gawk.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-gcc.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-gettext.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-glibc.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-grep.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-groff.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-gzip.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-inetutils.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-kbd.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-less.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-libtool.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-m4.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-ncurses.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-nettools.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-perl.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-sed.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-texinfo.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-vim.sh
   D /cross-lfs/trunk/scripts/final-scripts/final-zlib.sh
   A /cross-lfs/trunk/scripts/final-scripts/native-autoconf.sh (from /cross-lfs/trunk/scripts/final-scripts/final-autoconf.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-automake.sh (from /cross-lfs/trunk/scripts/final-scripts/final-automake.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-bash.sh (from /cross-lfs/trunk/scripts/final-scripts/final-bash.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-binutils.sh (from /cross-lfs/trunk/scripts/final-scripts/final-binutils.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-bison.sh (from /cross-lfs/trunk/scripts/final-scripts/final-bison.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-bzip2.sh (from /cross-lfs/trunk/scripts/final-scripts/final-bzip2.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-coreutils.sh (from /cross-lfs/trunk/scripts/final-scripts/final-coreutils.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-diffutils.sh (from /cross-lfs/trunk/scripts/final-scripts/final-diffutils.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-e2fsprogs.sh (from /cross-lfs/trunk/scripts/final-scripts/final-e2fsprogs.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-ed.sh (from /cross-lfs/trunk/scripts/final-scripts/final-ed.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-file.sh (from /cross-lfs/trunk/scripts/final-scripts/final-file.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-findutils.sh (from /cross-lfs/trunk/scripts/final-scripts/final-findutils.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-flex.sh (from /cross-lfs/trunk/scripts/final-scripts/final-flex.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-gawk.sh (from /cross-lfs/trunk/scripts/final-scripts/final-gawk.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-gcc.sh (from /cross-lfs/trunk/scripts/final-scripts/final-gcc.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-gettext.sh (from /cross-lfs/trunk/scripts/final-scripts/final-gettext.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-glibc.sh (from /cross-lfs/trunk/scripts/final-scripts/final-glibc.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-grep.sh (from /cross-lfs/trunk/scripts/final-scripts/final-grep.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-groff.sh (from /cross-lfs/trunk/scripts/final-scripts/final-groff.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-gzip.sh (from /cross-lfs/trunk/scripts/final-scripts/final-gzip.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-inetutils.sh (from /cross-lfs/trunk/scripts/final-scripts/final-inetutils.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-kbd.sh (from /cross-lfs/trunk/scripts/final-scripts/final-kbd.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-less.sh (from /cross-lfs/trunk/scripts/final-scripts/final-less.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-libtool.sh (from /cross-lfs/trunk/scripts/final-scripts/final-libtool.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-m4.sh (from /cross-lfs/trunk/scripts/final-scripts/final-m4.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-ncurses.sh (from /cross-lfs/trunk/scripts/final-scripts/final-ncurses.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-nettools.sh (from /cross-lfs/trunk/scripts/final-scripts/final-nettools.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-perl.sh (from /cross-lfs/trunk/scripts/final-scripts/final-perl.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-sed.sh (from /cross-lfs/trunk/scripts/final-scripts/final-sed.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-texinfo.sh (from /cross-lfs/trunk/scripts/final-scripts/final-texinfo.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-vim.sh (from /cross-lfs/trunk/scripts/final-scripts/final-vim.sh:198)
   A /cross-lfs/trunk/scripts/final-scripts/native-zlib.sh (from /cross-lfs/trunk/scripts/final-scripts/final-zlib.sh:198)

Rename all files from target-* to native-* (except temp-* files)

------------------------------------------------------------------------
r198 | ryan | 2004-07-30 11:55:01 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/final-scripts/final-autoconf.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-automake.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-bash.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-binutils.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-bison.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-bzip2.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-coreutils.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-diffutils.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-e2fsprogs.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-ed.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-file.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-findutils.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-flex.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-gawk.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-gcc.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-gettext.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-glibc.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-grep.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-groff.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-gzip.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-inetutils.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-kbd.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-less.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-libtool.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-m4.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-ncurses.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-nettools.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-perl.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-sed.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-texinfo.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-vim.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-zlib.sh
   M /cross-lfs/trunk/scripts/final-scripts/temp-dejagnu.sh
   M /cross-lfs/trunk/scripts/final-scripts/temp-expect.sh
   M /cross-lfs/trunk/scripts/final-scripts/temp-tcl.sh
   M /cross-lfs/trunk/scripts/final-scripts/temp-vim.sh

Initial mods before changing names of all final- files to native-*

------------------------------------------------------------------------
r197 | ryan | 2004-07-30 11:40:46 +1000 (Fri, 30 Jul 2004) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/final-scripts/build-zlib.sh

build-zlib doesn't belong here

------------------------------------------------------------------------
r196 | ryan | 2004-07-30 11:39:51 +1000 (Fri, 30 Jul 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/final-scripts/build-zlib.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-autoconf.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-automake.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-bash.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-bzip2.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-coreutils.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-diffutils.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-e2fsprogs.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-ed.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-file.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-flex.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-gettext.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-grep.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-groff.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-gzip.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-inetutils.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-kbd.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-libtool.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-ncurses.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-nettools.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-perl.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-sed.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-texinfo.sh

Added a pile of scripts for final target-native build.
Most scripts from plfs...

------------------------------------------------------------------------
r195 | ryan | 2004-07-27 13:10:30 +1000 (Tue, 27 Jul 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/configs/kernel/linux-2.6.7-x86_64.config-K8VNXP
   M /cross-lfs/trunk/configs/kernel/linux-2.6.7-x86_64.config-usbroot
   A /cross-lfs/trunk/scripts/build-final.sh
   A /cross-lfs/trunk/scripts/final-scripts/copy-kern-hdrs.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-binutils.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-bison.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-coreutils.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-findutils.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-gawk.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-gcc.sh
   M /cross-lfs/trunk/scripts/final-scripts/final-glibc.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-less.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-m4.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-ncurses.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-vim.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-zlib.sh
   M /cross-lfs/trunk/scripts/final-scripts/temp-binutils.sh
   M /cross-lfs/trunk/scripts/final-scripts/temp-expect.sh
   M /cross-lfs/trunk/scripts/final-scripts/temp-perl.sh
   M /cross-lfs/trunk/scripts/final-scripts/temp-tcl.sh
   A /cross-lfs/trunk/scripts/final-scripts/temp-vim.sh
   M /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs6.0test
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Added a pile of scripts for the final  native build on the target.
Scripts are updated versions of the plfs ch6 scripts.

------------------------------------------------------------------------
r194 | ryan | 2004-07-21 17:41:38 +1000 (Wed, 21 Jul 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/final-scripts
   A /cross-lfs/trunk/scripts/final-scripts/final-binutils.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-gcc.sh
   A /cross-lfs/trunk/scripts/final-scripts/final-glibc.sh
   A /cross-lfs/trunk/scripts/final-scripts/specs-mod.sh
   A /cross-lfs/trunk/scripts/final-scripts/temp-binutils.sh
   A /cross-lfs/trunk/scripts/final-scripts/temp-dejagnu.sh
   A /cross-lfs/trunk/scripts/final-scripts/temp-expect.sh
   A /cross-lfs/trunk/scripts/final-scripts/temp-perl.sh
   A /cross-lfs/trunk/scripts/final-scripts/temp-tcl.sh

Add scripts to run natively on target for final build.
Methods have been tested, scripts have yet to be tested.

------------------------------------------------------------------------
r193 | ryan | 2004-07-21 16:26:01 +1000 (Wed, 21 Jul 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/target-scripts/build-lilo.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-bin86.sh
   A /cross-lfs/trunk/scripts/target-scripts/target-nasm.sh

Add scripts required for building lilo.


------------------------------------------------------------------------
r192 | ryan | 2004-07-21 16:23:42 +1000 (Wed, 21 Jul 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/configs/kernel/linux-2.6.7-x86_64.config-K8VNXP
   A /cross-lfs/trunk/configs/kernel/linux-2.6.7-x86_64.config-usbroot

More x86_64 configs, both for Gigabyte K8VNXP MB's,
one to be used on a bootable usb disk

------------------------------------------------------------------------
r191 | ryan | 2004-07-21 16:19:10 +1000 (Wed, 21 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-init.sh

cleanups

------------------------------------------------------------------------
r190 | ryan | 2004-07-15 14:07:42 +1000 (Thu, 15 Jul 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs6.0test

Updated plfs-config for lfs6.0 test packages on x86_64

------------------------------------------------------------------------
r189 | ryan | 2004-07-15 14:00:27 +1000 (Thu, 15 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/configs/kernel/linux-2.6.7-x86_64.config

Updated x86_64 kernel config - specifically for a Gigabyte K8VNXP M/B

------------------------------------------------------------------------
r188 | ryan | 2004-07-15 13:58:50 +1000 (Thu, 15 Jul 2004) | 8 lines
Changed paths:
   M /cross-lfs/trunk/patches/gcc-3.4.1-fix_configure_for_target_native.patch
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh

Cleanups in target-gcc.sh (remove symlink hacks)

gcc-3.4.1-fix_configure_for_target_native.patch has been updated so as to
avoid finding target native binutils components during configure tests
when cross-compiling a target native compiler.
New fix is really only required if target native binutils were built before
this target native gcc

------------------------------------------------------------------------
r187 | ryan | 2004-07-15 13:54:23 +1000 (Thu, 15 Jul 2004) | 10 lines
Changed paths:
   A /cross-lfs/trunk/patches/binutils-2.15.91.0.1-genscripts-multilib.patch
   A /cross-lfs/trunk/patches/binutils-2.15.91.0.1-genscripts-multilib_use_libpath.patch
   A /cross-lfs/trunk/patches/binutils-2.15.91.0.1-genscripts-no_libdir.patch
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh

Fix up the patch required for fixing library search paths generated
by genscripts.sh. Three patches are supplied here, the genscripts-multilib
patch comprises both the no_libdir and the miltilib_use_libpath patches.

cross-binutils.sh and target-binutils.sh have been updated to use the new
patch when building 2.15 series binutils.

New patches will be required for the binutils-2.14 series...


------------------------------------------------------------------------
r186 | ryan | 2004-07-15 13:47:05 +1000 (Thu, 15 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-hdrs.sh

General cleanup...

------------------------------------------------------------------------
r185 | ryan | 2004-07-14 19:45:12 +1000 (Wed, 14 Jul 2004) | 12 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh

Removed the symlink hackery used during the bi-arch toolchain build.
Symlink hackery was not required as we can specify the desired
target ( eg i686-pc-linux-gnu ) during glibc configure as long as we
specify CC as well ( eg x86_64-pc-linux-gnu-gcc -m32 ) and the glibc
build will not trip over headers.

Neatens up things considerably...
This change will possibly break bi-arch builds where the default
emulation is 32bit... but hey... this wasn't implemented well before
anyway


------------------------------------------------------------------------
r183 | ryan | 2004-07-13 19:25:45 +1000 (Tue, 13 Jul 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/readline-4.3-gnu_fixes-1.patch
   A /cross-lfs/trunk/patches/sysklogd-1.4.1-kernel_headers-1.patch
   A /cross-lfs/trunk/patches/sysklogd-1.4.1-signal-1.patch

Drag in current LFS patches for sysklogd and readline

------------------------------------------------------------------------
r182 | ryan | 2004-07-13 18:32:01 +1000 (Tue, 13 Jul 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/configs/kernel/linux-2.6.7-x86_64.config

Update x86_64 kernel config
( for GA-K8VNXP M/B )

------------------------------------------------------------------------
r181 | ryan | 2004-07-13 13:48:16 +1000 (Tue, 13 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-powerpc-lfs-unstable-20040620
   M /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040620

Minor updates

------------------------------------------------------------------------
r180 | ryan | 2004-07-13 13:45:30 +1000 (Tue, 13 Jul 2004) | 22 lines
Changed paths:
   A /cross-lfs/trunk/patches/gcc-3.4.1-fix_configure_for_target_native.patch
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh

Fix issues with target-native compiler build where tls support is disabled
due to gcc configure not correctly determining binutils features

Added patch patches/gcc-3.4.1-fix_configure_for_target_native.patch

Submitted By: Ryan Oliver (ryan dot oliver at pha dot com dot au)
Origin: Ryan Oliver
Date: 2004-04-19
Initial Package Version: 3.4.1 (problem exists through 3.3 series)
Description: There are issues with configure when attempting to cross-compile a
native gcc for target. During the last stage of make configure-host, where
host = target, the configury doesn't check if host != build.
Therefore it assumes that the build is a native build and performs binutils
feature checks using either
a) what the native compiler we are building would normally use.
   If a target-native binutils has already been built with the same prefix,
   this is the binutils which is used which of course will not work on host
b) the host os's assembler/linker/nm/as
which leads to bogus results.
This patch fixes this behaviour, so that if host = target and host != build
the cross tools will be used for feature checks.

------------------------------------------------------------------------
r179 | ryan | 2004-07-13 12:22:52 +1000 (Tue, 13 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh

Make some checks silent

------------------------------------------------------------------------
r178 | ryan | 2004-07-13 12:19:36 +1000 (Tue, 13 Jul 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh

Fix up brainfart in ARCH setup with x86_64 (arch should be i386 for header mods)

------------------------------------------------------------------------
r177 | ryan | 2004-07-08 18:17:30 +1000 (Thu, 08 Jul 2004) | 19 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-powerpc-lfs-unstable-20040620
   M /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040620
   M /cross-lfs/trunk/scripts/target-scripts/target-bash.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-binutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-dev.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-e2fsprogs.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-findutils.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-gcc.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-m4.sh

Numerous fixups concerning recent changes.
 - Add case statement to provide correct sizee of short,int,long etc
   for ppc64 in e2fsprogs (e2fsprogs when cross compiling uses canned
   defaults which may not be appropriate for the arch you are building on)
 - target-binutils.sh and target-gcc updated in line with cross-scripts/
   changes
 - fix sed in target-bash.sh to hardcode ${TARGET}-size into the makefile
   as opposed to using whatever was specified as $(MACHTYPE). Ensures no
   ambiguities in the case of, say, using ppc-*-linux-gnu or 
   powerpc-*-linux-gnu (in both cases MACHTYPE defaults to "powerpc" , which
   wont help you if you've configured for target ppc-* )
 - apply regex.c hack with target-m4.sh for powerpc.
 - need to add a hack to target-findutils.sh so the configury recognises
   powerpc64 as a valid target (requires hackery in config.sub)
 - run su to create /dev/console and /dev/null during udev install in
   target-dev.sh

Possibly more ;-)

------------------------------------------------------------------------
r176 | ryan | 2004-07-08 18:04:07 +1000 (Thu, 08 Jul 2004) | 5 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-hdrs.sh

With NPTL for s390 powerpc and sparc we require
sysdeps/${ARCH}/${TYPE}/bits/wordsize.h
( where arch would be sparc, type would be sparc32/sparc64 etc )
to be copied into */include/bits as this header is included via pthreadtypes.h

------------------------------------------------------------------------
r175 | ryan | 2004-07-08 18:00:26 +1000 (Thu, 08 Jul 2004) | 13 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-kern-hdrs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-san-kern-hdrs.sh

Many changes...
 - s390/s390x ppc/ppc64 should now be supported for bi-arch builds
 - ${ARCH} is now generally determined where needed via a case statement.
   This mainly affects kernel and gcc.
 - sparc fixups for biarch. sparcv9 is now used as ALT_TARGET for sparc64
   builds. 
   NOTE: if building nptl enabled glibc on sparc the toolchain MUST be
         configured as sparcv9-*-linux-gnu due to glibc's configury
         setting itself up according to the target triple passed. Using
         sparc-*-linux-gnu-gcc -mcpu=v9 ( or -mcpu=ultrasparc ) -Wa,Av9a
         (even though this is correct) will not get glibc configured correctly.


------------------------------------------------------------------------
r174 | fthain | 2004-06-30 23:58:29 +1000 (Wed, 30 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Fixed root passwd in the absence of shadow.

------------------------------------------------------------------------
r173 | fthain | 2004-06-30 21:41:17 +1000 (Wed, 30 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Added echo "all done".

------------------------------------------------------------------------
r172 | fthain | 2004-06-30 21:40:48 +1000 (Wed, 30 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh

Minor fixes.

------------------------------------------------------------------------
r171 | fthain | 2004-06-30 21:40:25 +1000 (Wed, 30 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Added CONFIGS variable.

------------------------------------------------------------------------
r170 | fthain | 2004-06-30 02:05:54 +1000 (Wed, 30 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh

Clean up.

------------------------------------------------------------------------
r169 | ryan | 2004-06-29 22:07:57 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-init.sh

Don't check for udev tarball unless UDEV is set

------------------------------------------------------------------------
r168 | ryan | 2004-06-29 22:03:28 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-util-linux.sh

Add HAVE_SHADOW=no to make install as well so login gets installed

------------------------------------------------------------------------
r167 | ryan | 2004-06-29 21:46:46 +1000 (Tue, 29 Jun 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-util-linux.sh

Force util-linux to build login by passing
HAVE_SHADOW=no to make (overrides MCONFIG).
This needs to be done until I get around to cross-building shadow

------------------------------------------------------------------------
r166 | fthain | 2004-06-29 21:44:18 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-lfs-bootscripts.sh

Remove $PATH from etc/rc.d/init.d/functions.

------------------------------------------------------------------------
r165 | fthain | 2004-06-29 21:09:32 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-iana-etc.sh

Logging etc.

------------------------------------------------------------------------
r164 | fthain | 2004-06-29 21:08:56 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Added IANA etc.

------------------------------------------------------------------------
r163 | fthain | 2004-06-29 21:08:10 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh

Added IANA etc for etc/protocols and etc/services needed for sysklogd.

------------------------------------------------------------------------
r162 | fthain | 2004-06-29 20:58:03 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Fixed PS1 setting.

------------------------------------------------------------------------
r161 | fthain | 2004-06-29 20:55:12 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/target-scripts/target-iana-etc.sh

Initial checkin.

------------------------------------------------------------------------
r160 | fthain | 2004-06-29 02:34:52 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep.sh

Add some logging, fix fstab filename, some minor clean ups.

------------------------------------------------------------------------
r159 | fthain | 2004-06-29 02:33:09 +1000 (Tue, 29 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/target-scripts/target-final-prep-wrapper.sh

Fixed path to final-prep script.

------------------------------------------------------------------------
r158 | ryan | 2004-06-29 00:25:47 +1000 (Tue, 29 Jun 2004) | 16 lines
Changed paths:
   A /cross-lfs/trunk/patches/udev-027-permissions-1.patch
   M /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040620
   M /cross-lfs/trunk/scripts/target-scripts/target-dev.sh

Add UDEV_VER env var to plfs-config
Add patch to fix permissions handling of /dev by udev

Submitted By: Jim Gifford (jim at linuxfromscratch dot org)
Date: 2004-06-21
Initial Package Version: 027
Origin: Jim Gifford and Zack Winkles
Upstream Status: N/A
Description: Reverts tweak node unlink handling
        http://linuxusb.bkbits.net:8080/udev/cset@1.759?nav=index.html|tags|ChangeSet@..1.7601

        Symptons of problem: When cron executes a bash script, /dev/null changes from the
        permissions lists in udev.rules to 600. This patch seems to correct the issue,
        I am submitting it as a temporary fix util a better fix can be found.


------------------------------------------------------------------------
r157 | ryan | 2004-06-28 23:26:57 +1000 (Mon, 28 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040620

Update plfs-config to reflect recent script changes.
 - UDEV and DEVFS env vars added

------------------------------------------------------------------------
r156 | ryan | 2004-06-28 22:26:34 +1000 (Mon, 28 Jun 2004) | 13 lines
Changed paths:
   A /cross-lfs/trunk/configs
   A /cross-lfs/trunk/configs/kernel
   A /cross-lfs/trunk/configs/kernel/linux-2.4.26-m68k.config (from /cross-lfs/trunk/scripts/linux-2.4.26-m68k.config:155)
   A /cross-lfs/trunk/configs/kernel/linux-2.6.2-rc2-alpha.config (from /cross-lfs/trunk/scripts/linux-2.6.2-rc2-alpha.config:155)
   A /cross-lfs/trunk/configs/kernel/linux-2.6.3-x86_64.config (from /cross-lfs/trunk/scripts/linux-2.6.3-x86_64.config:155)
   A /cross-lfs/trunk/configs/kernel/linux-2.6.6-m68k.config (from /cross-lfs/trunk/scripts/linux-2.6.6-m68k.config:155)
   A /cross-lfs/trunk/configs/kernel/linux-2.6.7-x86_64.config (from /cross-lfs/trunk/scripts/linux-2.6.7-x86_64.config:155)
   A /cross-lfs/trunk/configs/udev
   A /cross-lfs/trunk/configs/udev/udev-config-1.permissions
   A /cross-lfs/trunk/configs/udev/udev-config-1.rules
   M /cross-lfs/trunk/scripts/cross-scripts/cross-kern-hdrs.sh
   D /cross-lfs/trunk/scripts/linux-2.4.26-m68k.config
   D /cross-lfs/trunk/scripts/linux-2.6.2-rc2-alpha.config
   D /cross-lfs/trunk/scripts/linux-2.6.3-x86_64.config
   D /cross-lfs/trunk/scripts/linux-2.6.6-m68k.config
   D /cross-lfs/trunk/scripts/linux-2.6.7-x86_64.config
   M /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040620
   M /cross-lfs/trunk/scripts/target-scripts/target-dev.sh
   M /cross-lfs/trunk/scripts/target-scripts/target-kernel.sh

A few updates

 o Added udev option to scripts/target-scripts/target-dev
 o created a configs directory to place 
  - udev configs   ( configs/udev )
  - kernel configs ( configs/kernel )
 o Added a CONFIGS env var in plfs-config, points to base of configs
 o Moved kernel configs out of scripts into configs/kernel, updated
   scripts/cross-scripts/cross-kern-hdrs.sh and 
   scripts/target-scripts/target-kernel.sh to look in ${CONFIGS}
 
New env var for plfs-config - CONFIGS

------------------------------------------------------------------------
r155 | fthain | 2004-06-28 19:51:21 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh

Unset CC and CXX.

------------------------------------------------------------------------
r154 | ryan | 2004-06-28 19:42:09 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/host-scripts/native-autoconf.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-automake.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-binutils.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-bison.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-coreutils-binaries.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-flex.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-gawk.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-gcc.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-gettext.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-grep.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-libtool.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-m4.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-make.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-ncurses.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-patch.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-sed.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-tar.sh
   D /cross-lfs/trunk/scripts/host-scripts/native-texinfo.sh

Remove native-* scripts from host-scripts (oversight from previous shuffle around)

------------------------------------------------------------------------
r153 | ryan | 2004-06-28 19:28:16 +1000 (Mon, 28 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-target.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-bash.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-binutils.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-bison.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-bzip2.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-coreutils.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-dev.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-diffutils.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-e2fsprogs.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-final-prep-wrapper.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-findutils.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-flex.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-gawk.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-gcc.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-gettext.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-grep.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-gzip.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-inetutils.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-lfs-bootscripts.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-m4.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-make.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-module-init-tools.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-modutils.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-ncurses.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-nettools.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-nfsutils.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-patch.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-procps.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-sed.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-strace.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-sysklogd.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-sysvinit.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-tar.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-util-linux.sh
   D /cross-lfs/trunk/scripts/cross-scripts/target-zlib.sh
   A /cross-lfs/trunk/scripts/target-scripts (from /cross-lfs/trunk/scripts/cross-scripts:151)
   D /cross-lfs/trunk/scripts/target-scripts/cross-binutils.sh
   D /cross-lfs/trunk/scripts/target-scripts/cross-gcc-final.sh
   D /cross-lfs/trunk/scripts/target-scripts/cross-gcc-shared.sh
   D /cross-lfs/trunk/scripts/target-scripts/cross-gcc-static.sh
   D /cross-lfs/trunk/scripts/target-scripts/cross-glibc-crtobjs.sh
   D /cross-lfs/trunk/scripts/target-scripts/cross-glibc-full.sh
   D /cross-lfs/trunk/scripts/target-scripts/cross-glibc-hdrs.sh
   D /cross-lfs/trunk/scripts/target-scripts/cross-kern-hdrs.sh
   D /cross-lfs/trunk/scripts/target-scripts/cross-san-kern-hdrs.sh

Moved all target scripts into new directory, target-scripts.
updated build-target.sh to reflect change

------------------------------------------------------------------------
r152 | ryan | 2004-06-28 19:17:00 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/README.cross-lfs

Update README to reflect recent changes

------------------------------------------------------------------------
r151 | ryan | 2004-06-28 19:07:07 +1000 (Mon, 28 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-host.sh
   A /cross-lfs/trunk/scripts/host-scripts (from /cross-lfs/trunk/scripts/native-scripts:149)
   A /cross-lfs/trunk/scripts/host-scripts/host-autoconf.sh (from /cross-lfs/trunk/scripts/native-scripts/host-autoconf.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-automake.sh (from /cross-lfs/trunk/scripts/native-scripts/host-automake.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-binutils.sh (from /cross-lfs/trunk/scripts/native-scripts/host-binutils.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-bison.sh (from /cross-lfs/trunk/scripts/native-scripts/host-bison.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-coreutils-binaries.sh (from /cross-lfs/trunk/scripts/native-scripts/host-coreutils-binaries.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-flex.sh (from /cross-lfs/trunk/scripts/native-scripts/host-flex.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-gawk.sh (from /cross-lfs/trunk/scripts/native-scripts/host-gawk.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-gcc.sh (from /cross-lfs/trunk/scripts/native-scripts/host-gcc.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-gettext.sh (from /cross-lfs/trunk/scripts/native-scripts/host-gettext.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-grep.sh (from /cross-lfs/trunk/scripts/native-scripts/host-grep.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-libtool.sh (from /cross-lfs/trunk/scripts/native-scripts/host-libtool.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-m4.sh (from /cross-lfs/trunk/scripts/native-scripts/host-m4.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-make.sh (from /cross-lfs/trunk/scripts/native-scripts/host-make.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-ncurses.sh (from /cross-lfs/trunk/scripts/native-scripts/host-ncurses.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-patch.sh (from /cross-lfs/trunk/scripts/native-scripts/host-patch.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-sed.sh (from /cross-lfs/trunk/scripts/native-scripts/host-sed.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-tar.sh (from /cross-lfs/trunk/scripts/native-scripts/host-tar.sh:150)
   A /cross-lfs/trunk/scripts/host-scripts/host-texinfo.sh (from /cross-lfs/trunk/scripts/native-scripts/host-texinfo.sh:150)
   D /cross-lfs/trunk/scripts/native-scripts

Move native-scripts dir to be host-scripts.
Update build-host.sh to reflect changes

------------------------------------------------------------------------
r150 | ryan | 2004-06-28 19:01:20 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/native-scripts/host-autoconf.sh (from /cross-lfs/trunk/scripts/native-scripts/native-autoconf.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-automake.sh (from /cross-lfs/trunk/scripts/native-scripts/native-automake.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-binutils.sh (from /cross-lfs/trunk/scripts/native-scripts/native-binutils.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-bison.sh (from /cross-lfs/trunk/scripts/native-scripts/native-bison.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-coreutils-binaries.sh (from /cross-lfs/trunk/scripts/native-scripts/native-coreutils-binaries.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-flex.sh (from /cross-lfs/trunk/scripts/native-scripts/native-flex.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-gawk.sh (from /cross-lfs/trunk/scripts/native-scripts/native-gawk.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-gcc.sh (from /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-gettext.sh (from /cross-lfs/trunk/scripts/native-scripts/native-gettext.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-grep.sh (from /cross-lfs/trunk/scripts/native-scripts/native-grep.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-libtool.sh (from /cross-lfs/trunk/scripts/native-scripts/native-libtool.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-m4.sh (from /cross-lfs/trunk/scripts/native-scripts/native-m4.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-make.sh (from /cross-lfs/trunk/scripts/native-scripts/native-make.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-ncurses.sh (from /cross-lfs/trunk/scripts/native-scripts/native-ncurses.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-patch.sh (from /cross-lfs/trunk/scripts/native-scripts/native-patch.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-sed.sh (from /cross-lfs/trunk/scripts/native-scripts/native-sed.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-tar.sh (from /cross-lfs/trunk/scripts/native-scripts/native-tar.sh:149)
   A /cross-lfs/trunk/scripts/native-scripts/host-texinfo.sh (from /cross-lfs/trunk/scripts/native-scripts/native-texinfo.sh:149)
   D /cross-lfs/trunk/scripts/native-scripts/native-autoconf.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-automake.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-binutils.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-bison.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-coreutils-binaries.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-flex.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-gawk.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-gettext.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-grep.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-libtool.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-m4.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-make.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-ncurses.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-patch.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-sed.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-tar.sh
   D /cross-lfs/trunk/scripts/native-scripts/native-texinfo.sh

Renamed all the files under native-scripts from native* to host*

------------------------------------------------------------------------
r149 | ryan | 2004-06-28 18:28:59 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   A /cross-lfs/trunk/scripts/build-target.sh (from /cross-lfs/trunk/scripts/build-cross.sh:147)

Split out all the target native builds from build-cross.sh into new script, build-target.sh

------------------------------------------------------------------------
r148 | ryan | 2004-06-28 18:13:16 +1000 (Mon, 28 Jun 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/build-host.sh (from /cross-lfs/trunk/scripts/build-native.sh:146)
   D /cross-lfs/trunk/scripts/build-native.sh

Renamed build-native.sh to build-host.sh
Updated comments

------------------------------------------------------------------------
r147 | ryan | 2004-06-28 15:34:28 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-binutils.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-gcc.sh

Merge in changes from biarch consolidation branch -r 109:146

------------------------------------------------------------------------
r146 | ryan | 2004-06-28 15:11:58 +1000 (Mon, 28 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-sysvinit.sh

create required directories for sysvinit to install into.
it doesn't create them itself

------------------------------------------------------------------------
r143 | ryan | 2004-06-28 14:02:41 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-procps.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-sysvinit.sh

Fix install issues due to missing directories under ${LFS}

------------------------------------------------------------------------
r141 | ryan | 2004-06-28 13:39:01 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-e2fsprogs.sh

Minor fixups

------------------------------------------------------------------------
r139 | ryan | 2004-06-28 13:12:43 +1000 (Mon, 28 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-e2fsprogs.sh

Create ${LFS}/bin if it doesn't exist.
Create symlinks instead of hard links. 

------------------------------------------------------------------------
r137 | fthain | 2004-06-28 01:22:09 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/sysklogd-1.4.1-cross.patch
   A /cross-lfs/trunk/scripts/cross-scripts/target-strace.sh

Initial checkin.

------------------------------------------------------------------------
r136 | fthain | 2004-06-28 01:21:19 +1000 (Mon, 28 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Added strace build.

------------------------------------------------------------------------
r132 | fthain | 2004-06-27 22:52:18 +1000 (Sun, 27 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh

Added sysklogd.

------------------------------------------------------------------------
r131 | fthain | 2004-06-27 22:48:29 +1000 (Sun, 27 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Changed mkdir usr/lib/modules to lib/modules...

------------------------------------------------------------------------
r129 | fthain | 2004-06-27 21:48:38 +1000 (Sun, 27 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh

Added /usr/sbin to PATH.

------------------------------------------------------------------------
r127 | fthain | 2004-06-27 01:41:47 +1000 (Sun, 27 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-sysklogd.sh

Forgot mkdir man8.

------------------------------------------------------------------------
r126 | fthain | 2004-06-27 01:36:32 +1000 (Sun, 27 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-sysklogd.sh

New patch to avoid host strip, uses cross compiler, path fix.

------------------------------------------------------------------------
r125 | fthain | 2004-06-27 01:03:39 +1000 (Sun, 27 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-sysklogd.sh

Install into TGT_TOOLS.

------------------------------------------------------------------------
r124 | ryan | 2004-06-27 01:00:35 +1000 (Sun, 27 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/sysklogd-1.4.1.patch
   A /cross-lfs/trunk/scripts/cross-scripts/target-sysklogd.sh

import sysklogd script and patch from plfs-2.3.1b9.

------------------------------------------------------------------------
r122 | fthain | 2004-06-26 23:54:37 +1000 (Sat, 26 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-e2fsprogs.sh

Moved install to TGT_TOOLS.

------------------------------------------------------------------------
r121 | fthain | 2004-06-26 23:54:08 +1000 (Sat, 26 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-procps.sh

Moved install to TGT_TOOLS.

------------------------------------------------------------------------
r120 | fthain | 2004-06-26 23:51:04 +1000 (Sat, 26 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh

Added /etc/profile.

------------------------------------------------------------------------
r118 | fthain | 2004-06-25 02:29:36 +1000 (Fri, 25 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh

Added more psuedo file system fstab entries.

------------------------------------------------------------------------
r117 | fthain | 2004-06-24 15:29:42 +1000 (Thu, 24 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Removed chown root since final-prep script does that now.

------------------------------------------------------------------------
r116 | fthain | 2004-06-24 15:29:10 +1000 (Thu, 24 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh

Fixed up file ownership and permissions.

------------------------------------------------------------------------
r108 | ryan | 2004-06-23 12:23:30 +1000 (Wed, 23 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-e2fsprogs.sh

Fix some permissions issues when building the e2fsprogs 1.35 tarball
as a normal user. Need to check if previous versions are affected

------------------------------------------------------------------------
r107 | ryan | 2004-06-23 12:16:52 +1000 (Wed, 23 Jun 2004) | 9 lines
Changed paths:
   A /cross-lfs/trunk/patches/m4-1.4-regex_c-hack.patch
   M /cross-lfs/trunk/scripts/cross-scripts/target-m4.sh

Add a hack due to breakage (so far only with biarch x86_64, when building
against glibc-2.3.3+ with gcc-3.4.0 and 3.4.1, buit this remains to be seen).

In regex.c malloc and calloc included by stdlib.h, but get redefined by regex.c
itself.

Patch just forces regex.c to read stlib.h and removes the redefinitions.
This hack is pretty awful and will need looking at...

------------------------------------------------------------------------
r106 | ryan | 2004-06-23 12:05:59 +1000 (Wed, 23 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-procps.sh

Edit makefile so owner and group during install are set to the
build users uid and gid. Allows us to install when not root.

------------------------------------------------------------------------
r105 | ryan | 2004-06-23 12:03:19 +1000 (Wed, 23 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-flex.sh

Touch ./doc/flex.1 when applying the debian-fixes patch as the build
breaks when attempting to regenerate the docs.

------------------------------------------------------------------------
r104 | ryan | 2004-06-23 11:52:19 +1000 (Wed, 23 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-gcc.sh

Update comments
Set startfile prefix in target-gcc.sh (as is done in cross-gcc-final)

------------------------------------------------------------------------
r103 | fthain | 2004-06-23 00:50:55 +1000 (Wed, 23 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-modutils.sh

Don't ask install to strip because it can't deal with m68k binaries.

------------------------------------------------------------------------
r102 | fthain | 2004-06-23 00:49:43 +1000 (Wed, 23 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Revert to binutils 2.14 to stay with LFS 5.1.

------------------------------------------------------------------------
r101 | fthain | 2004-06-23 00:49:01 +1000 (Wed, 23 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-bash.sh

New entry in config cache because configure can't cross compile for m68k.

------------------------------------------------------------------------
r100 | fthain | 2004-06-23 00:48:11 +1000 (Wed, 23 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-flex.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-patch.sh

Set CC because configure never twigged that it is cross compiling.

------------------------------------------------------------------------
r99 | fthain | 2004-06-22 19:06:41 +1000 (Tue, 22 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/build-init.sh
   M /cross-lfs/trunk/scripts/build-native.sh

Removed email address.

------------------------------------------------------------------------
r98 | ryan | 2004-06-22 17:46:51 +1000 (Tue, 22 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/linux-2.6.7-x86_64.config

Add linux-2.6.7 .config for x86_64

------------------------------------------------------------------------
r97 | ryan | 2004-06-22 17:45:32 +1000 (Tue, 22 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-x86_64-lfs-unstable-20040620

Add plfs-config sample for x86_64 biarch with lfs unstable packages from 20040620

------------------------------------------------------------------------
r96 | ryan | 2004-06-22 16:04:00 +1000 (Tue, 22 Jun 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-san-kern-hdrs.sh

fix cross-san-kern-hdrs to set permissions properly on the
unpacked libc-linux-headers tarball.


------------------------------------------------------------------------
r95 | fthain | 2004-06-22 15:22:31 +1000 (Tue, 22 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/patches/linux-2.4.26-m68k-lfh.patch

Updated to m68k kernel tree as at 20040621.

------------------------------------------------------------------------
r94 | fthain | 2004-06-22 15:12:15 +1000 (Tue, 22 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh

Fixed out-of-date comment.

------------------------------------------------------------------------
r93 | ryan | 2004-06-22 14:28:18 +1000 (Tue, 22 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-m68k-2.4.26-RO

commit plfs-config from previous build of m68k against 2.4.26 kernel

------------------------------------------------------------------------
r92 | ryan | 2004-06-22 14:06:41 +1000 (Tue, 22 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-binutils.sh

Update binutils scripts to apply genscripts-multilib patch
to HJL 2.15.91.0.* versions

------------------------------------------------------------------------
r91 | ryan | 2004-06-22 14:01:52 +1000 (Tue, 22 Jun 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-util-linux.sh

Rearrange target-util-linux script.
Remove old util-linux 2.6 hdr fix patch


------------------------------------------------------------------------
r90 | ryan | 2004-06-22 13:57:36 +1000 (Tue, 22 Jun 2004) | 10 lines
Changed paths:
   A /cross-lfs/trunk/patches/util-linux-2.12a-kernel_headers-1.patch
   M /cross-lfs/trunk/scripts/cross-scripts/target-util-linux.sh

Add some logic around the application of patches.
Add patch for compiling util-linux-2.12* against 2.6 headers

Submitted By: Jim Gifford (jim at linuxfromscratch dot org)
Date: 2004-01-30
Initial Package Version: 2.12
Origin: Gentoo
Description: Fixes Compile Issues with the 2.6 Kernel


------------------------------------------------------------------------
r89 | ryan | 2004-06-22 13:55:29 +1000 (Tue, 22 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-sed.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-sed.sh

Fix apply_patch invocation

------------------------------------------------------------------------
r88 | ryan | 2004-06-22 13:36:00 +1000 (Tue, 22 Jun 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/patches/bash-2.05b-gnu_fixes-2.patch
   M /cross-lfs/trunk/scripts/cross-scripts/target-bash.sh

Add conglomeration patch of all official bash-2.05b patches from gnu.


------------------------------------------------------------------------
r87 | ryan | 2004-06-22 13:19:07 +1000 (Tue, 22 Jun 2004) | 13 lines
Changed paths:
   A /cross-lfs/trunk/patches/flex-2.5.31-debian_fixes-2.patch
   M /cross-lfs/trunk/scripts/cross-scripts/target-flex.sh
   M /cross-lfs/trunk/scripts/native-scripts/native-flex.sh

Add fixes required for flex-2.5.31

Submitted By: Zack Winkles <winkie@linuxfromscratch.org>
Date: 2004-03-01
Initial Package Version: 2.5.31
Origin: Debian
Description: This fixes a ton of things. I'm not entirely sure what, but
        it's all stuff that Debian thought to be broken, and I trust them.
        All the non-code changes have been stripped (otherwise it would
        be gargantuan). I've been using this patch for a few months now
        and it makes flex not suck anymore. That's a good thing.


------------------------------------------------------------------------
r86 | ryan | 2004-06-22 13:07:24 +1000 (Tue, 22 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/native-scripts/native-sed.sh

Apply sed fix to native-sed script too

------------------------------------------------------------------------
r85 | ryan | 2004-06-22 13:04:03 +1000 (Tue, 22 Jun 2004) | 14 lines
Changed paths:
   A /cross-lfs/trunk/patches/sed-4.1-permissions-1.patch
   M /cross-lfs/trunk/scripts/cross-scripts/target-sed.sh

Add patch for sed 4.1

Submitted By:            Matthew Burgess
Date:                    2004-06-17
Initial Package Version: 4.1
Upstream Status:         Submitted and accepted upstream
Origin:                  Bruce Dubbs
                         (http://www.linuxfromscratch.org/pipermail/lfs-dev/2004-June/046773.html)
Description:             When using the in-place function, sed 4.1 changes
                         permissions. Specifically, when using sed on a bash
                         script with permissions 755, the updated file has
                         permissions 600.


------------------------------------------------------------------------
r84 | ryan | 2004-06-22 12:55:00 +1000 (Tue, 22 Jun 2004) | 11 lines
Changed paths:
   A /cross-lfs/trunk/patches/sysvinit-2.85-proclen-1.patch
   M /cross-lfs/trunk/scripts/cross-scripts/target-sysvinit.sh

Add patch from LFS unstable 20040620

Submitted By: Alexander E. Patrakov (semzx at newmail dot ru)
Origin: Alexander E. Patrakov
Date: 2003-11-22
Initial Package Version: 2.85
Description: Without this patch, init sometimes clobbers environment variables
set by kernel (such as TERM) when trying to change process title for ps
due to out-of-bounds access to the command line arguments.


------------------------------------------------------------------------
r83 | fthain | 2004-06-21 01:44:57 +1000 (Mon, 21 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/patches/linux-2.4.26-m68k-lfh.patch

Added mac related patches from m68k tree cvs as at 20040620.

------------------------------------------------------------------------
r82 | fthain | 2004-06-21 01:40:28 +1000 (Mon, 21 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Removed extra prompt.

------------------------------------------------------------------------
r81 | fthain | 2004-06-21 01:37:00 +1000 (Mon, 21 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Binutils update to fix (?) binfmt problems.

------------------------------------------------------------------------
r80 | fthain | 2004-06-20 18:43:56 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Fix install log variable name.

------------------------------------------------------------------------
r79 | fthain | 2004-06-20 18:29:33 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Added patch to fix m68k kernel build.

------------------------------------------------------------------------
r78 | fthain | 2004-06-20 18:28:55 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/linux-2.4.26-m68k.config

Remove IDE CDROM driver due to will-not-fix bug in gcc 3.3.3 (use gcc 3.4.0)

------------------------------------------------------------------------
r77 | fthain | 2004-06-20 18:28:03 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Path changes.

------------------------------------------------------------------------
r76 | fthain | 2004-06-20 17:46:53 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/linux-2.4.26-m68k-lfh.patch

Initial checkin.

------------------------------------------------------------------------
r75 | fthain | 2004-06-20 15:22:03 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/patches/linux-2.4-lfh-Makefile.patch

Made to work with -p1.

------------------------------------------------------------------------
r74 | fthain | 2004-06-20 15:18:02 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Added test for depmod install success.

------------------------------------------------------------------------
r73 | fthain | 2004-06-20 15:13:36 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Made executable.

------------------------------------------------------------------------
r72 | fthain | 2004-06-20 15:06:06 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh

Removed extra ".

------------------------------------------------------------------------
r71 | fthain | 2004-06-20 15:04:42 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Create usr/lib/modules.

------------------------------------------------------------------------
r70 | fthain | 2004-06-20 15:04:03 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh

Added target-kernel.sh script.

------------------------------------------------------------------------
r69 | fthain | 2004-06-20 14:38:40 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-kern-hdrs.sh

Cleanups.

------------------------------------------------------------------------
r68 | fthain | 2004-06-20 14:38:29 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/cross-scripts/target-kernel.sh

Initial checkin.

------------------------------------------------------------------------
r67 | fthain | 2004-06-20 14:04:12 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/linux-2.6-lfh-Makefile.patch

Initial checkin.

------------------------------------------------------------------------
r66 | fthain | 2004-06-20 13:52:15 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/depmod-pl-lfh-cross-compile.patch

Initial checkin.

------------------------------------------------------------------------
r65 | fthain | 2004-06-20 13:29:58 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/linux-2.4.26-m68k.config

Removed non-functional, non-compiling and non-linking drivers.

------------------------------------------------------------------------
r64 | fthain | 2004-06-20 13:22:25 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/linux-2.4-lfh-Makefile.patch

Initial checkin.

------------------------------------------------------------------------
r63 | ryan | 2004-06-20 00:46:54 +1000 (Sun, 20 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-inetutils.sh

Fix man and info install directories
also properly handle libexecdir during biarch builds

------------------------------------------------------------------------
r62 | ryan | 2004-06-20 00:28:24 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/cross-scripts/target-final-prep-wrapper.sh

Re added...

------------------------------------------------------------------------
r61 | ryan | 2004-06-20 00:27:41 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   D /cross-lfs/trunk/scripts/cross-scripts/target-final-prep-wrapper.sh

Removed

------------------------------------------------------------------------
r60 | ryan | 2004-06-20 00:24:21 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-final-prep-wrapper.sh

Add some comments, update perms

------------------------------------------------------------------------
r59 | ryan | 2004-06-20 00:21:18 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-final-prep-wrapper.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh

Add a wrapper script so we can run target-final-prep.sh as root via su

------------------------------------------------------------------------
r58 | fthain | 2004-06-20 00:13:54 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-bash.sh

Reinstate bash symlink.

------------------------------------------------------------------------
r57 | ryan | 2004-06-20 00:10:11 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh

update bash symlink creation

------------------------------------------------------------------------
r56 | ryan | 2004-06-20 00:06:53 +1000 (Sun, 20 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh

remove plfs stuff inappropriate for cross-lfs from target-final-prep

------------------------------------------------------------------------
r55 | ryan | 2004-06-19 23:30:13 +1000 (Sat, 19 Jun 2004) | 3 lines
Changed paths:
   A /cross-lfs/trunk/scripts/cross-scripts/target-final-prep.sh

modify final-prep.sh from the plfs scripts and add it in here.
This has to be run as root...

------------------------------------------------------------------------
r54 | fthain | 2004-06-19 23:15:18 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-bash.sh

Added bin/bash symlink.

------------------------------------------------------------------------
r53 | ryan | 2004-06-19 23:11:04 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-dev.sh

Wrap MAKEDEV with su -c

------------------------------------------------------------------------
r52 | ryan | 2004-06-19 23:04:03 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-dev.sh

cleanup script of blatant stupidity

------------------------------------------------------------------------
r51 | ryan | 2004-06-19 23:02:28 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-lfs-bootscripts.sh

Fix up logging

------------------------------------------------------------------------
r50 | ryan | 2004-06-19 22:59:28 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Add MAKEDEV_VER env var to plfs-config for m68k

------------------------------------------------------------------------
r49 | fthain | 2004-06-19 22:24:20 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-bash.sh

Fix symlink.

------------------------------------------------------------------------
r48 | ryan | 2004-06-19 21:21:05 +1000 (Sat, 19 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-bison.sh

Fix up brainfart with creation of ${TGT_TOOLS}/bin/yacc


------------------------------------------------------------------------
r47 | ryan | 2004-06-19 19:47:20 +1000 (Sat, 19 Jun 2004) | 4 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-lfs-bootscripts.sh

Added script to install and setup the lfs bootscripts package.
More work to do, need to move network configuration vars to 
plfs-config methinks...

------------------------------------------------------------------------
r46 | ryan | 2004-06-19 19:06:58 +1000 (Sat, 19 Jun 2004) | 6 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-dev.sh

Add do_makedev() to cross-scripts/target-dev.sh
Add target-dev.sh into the scriptlist in build-cross.sh

At some point will have to add do_udev() and do_devfs()


------------------------------------------------------------------------
r45 | fthain | 2004-06-19 17:15:13 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Changed home dir paths to $HOME, cleanups.

------------------------------------------------------------------------
r44 | ryan | 2004-06-19 16:26:59 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/build-native.sh

Add check if ${SRC} exists or not... if it doesn't it will be created

------------------------------------------------------------------------
r43 | fthain | 2004-06-19 16:16:20 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Rearranged paths.

------------------------------------------------------------------------
r42 | ryan | 2004-06-19 15:31:23 +1000 (Sat, 19 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/build-cross.sh
   M /cross-lfs/trunk/scripts/build-native.sh

Add sanity check for env vars supplied by plfs-config.
Barf out if they do not exist

------------------------------------------------------------------------
r41 | fthain | 2004-06-19 15:29:06 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   M /cross-lfs/trunk/scripts/cross-scripts/target-gcc.sh

Comment out Solaris CONFIG_SHELL hack until a better fix is found.

------------------------------------------------------------------------
r40 | fthain | 2004-06-19 15:25:50 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-util-linux.sh

Run make install as root.

------------------------------------------------------------------------
r39 | fthain | 2004-06-19 15:12:24 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-util-linux.sh

Added patch for swapon and fdisk build failures.

------------------------------------------------------------------------
r38 | fthain | 2004-06-19 15:10:09 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-bash.sh

Create missing /bin/sh.

------------------------------------------------------------------------
r37 | ryan | 2004-06-19 15:09:48 +1000 (Sat, 19 Jun 2004) | 4 lines
Changed paths:
   D /cross-lfs/trunk/scripts/plfs-config
   A /cross-lfs/trunk/scripts/plfs-config-sparc64-lfs-unstable (from /cross-lfs/trunk/scripts/plfs-config:35)

remove plfs-config from the repo... this should be copied from one of the
samples and modified accordingly by the user. Otherwise this file is gonna
be constantly updated...

------------------------------------------------------------------------
r36 | fthain | 2004-06-19 15:08:54 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-m68k-lfs-5.1.1

Initial checkin.

------------------------------------------------------------------------
r35 | fthain | 2004-06-19 14:53:39 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/util-linux-2.12a-cross-lfs-fixes.patch

Initial checkin.

------------------------------------------------------------------------
r34 | ryan | 2004-06-19 14:31:10 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-util-linux.sh

fixed creation of /var/lib/hwclock so it is created under ${LFS}

------------------------------------------------------------------------
r33 | fthain | 2004-06-19 13:58:29 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-sysvinit.sh

Run make install as root.

------------------------------------------------------------------------
r32 | fthain | 2004-06-19 12:35:12 +1000 (Sat, 19 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/target-coreutils.sh

Remove debugging output.

------------------------------------------------------------------------
r31 | ryan | 2004-06-17 12:39:43 +1000 (Thu, 17 Jun 2004) | 3 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh

changed application of m68k patch in scripts/cross-scripts/cross-glibc-full.sh
to use apply_patch function instead of manually running patch

------------------------------------------------------------------------
r30 | fthain | 2004-06-16 23:46:13 +1000 (Wed, 16 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh

Added m68k patches.

------------------------------------------------------------------------
r29 | fthain | 2004-06-16 22:24:44 +1000 (Wed, 16 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches/glibc-2.3.3-lfh-m68k-no-precision-timers.patch

Initial checkin.

------------------------------------------------------------------------
r28 | fthain | 2004-06-15 21:18:53 +1000 (Tue, 15 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts/plfs-config-2.4.4-m68k

Initial checkin.

------------------------------------------------------------------------
r27 | fthain | 2004-06-15 21:04:14 +1000 (Tue, 15 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/README.cross-lfs

Added svn checkout command.

------------------------------------------------------------------------
r26 | ryan | 2004-06-13 23:00:50 +1000 (Sun, 13 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/README.cross-lfs

Update README spiel

------------------------------------------------------------------------
r25 | ryan | 2004-06-13 22:53:01 +1000 (Sun, 13 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/patches
   A /cross-lfs/trunk/patches/bash-2.05b-gcc34-1.patch
   A /cross-lfs/trunk/patches/binutils-2.14-genscripts-multilib.patch
   A /cross-lfs/trunk/patches/binutils-2.14.90.0.8-genscripts-multilib.patch
   A /cross-lfs/trunk/patches/binutils-2.15.90.0.1-genscripts-multilib.patch
   A /cross-lfs/trunk/patches/e2fsprogs-1.34-2.6.0hdr-fix.patch
   A /cross-lfs/trunk/patches/glibc-2.3.3-lfs-5.1-m68k_fix_fcntl.patch
   A /cross-lfs/trunk/patches/linux-2.6.6-x86_64-unistd_h-fix.patch
   A /cross-lfs/trunk/patches/module-init-tools-3.0-cross-moveold.patch
   A /cross-lfs/trunk/patches/net-tools-1.60-gcc34-2.patch
   A /cross-lfs/trunk/patches/net-tools-1.60-kernel-headers-1.patch
   A /cross-lfs/trunk/patches/net-tools-1.60-miitool-gcc33-1.patch

Adding Patches (missed these last commit ;-) )

------------------------------------------------------------------------
r24 | ryan | 2004-06-13 22:51:41 +1000 (Sun, 13 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/scripts
   A /cross-lfs/trunk/scripts/build-cross.sh
   A /cross-lfs/trunk/scripts/build-init.sh
   A /cross-lfs/trunk/scripts/build-native.sh
   A /cross-lfs/trunk/scripts/cross-scripts
   A /cross-lfs/trunk/scripts/cross-scripts/cross-binutils.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-final.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-shared.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-gcc-static.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-crtobjs.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-full.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-glibc-hdrs.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-kern-hdrs.sh
   A /cross-lfs/trunk/scripts/cross-scripts/cross-san-kern-hdrs.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-bash.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-binutils.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-bison.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-bzip2.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-coreutils.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-dev.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-diffutils.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-e2fsprogs.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-findutils.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-flex.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-gawk.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-gcc.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-gettext.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-grep.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-gzip.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-inetutils.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-m4.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-make.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-module-init-tools.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-modutils.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-ncurses.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-nettools.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-nfsutils.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-patch.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-procps.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-sed.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-sysvinit.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-tar.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-util-linux.sh
   A /cross-lfs/trunk/scripts/cross-scripts/target-zlib.sh
   A /cross-lfs/trunk/scripts/linux-2.4.26-m68k.config
   A /cross-lfs/trunk/scripts/linux-2.6.2-rc2-alpha.config
   A /cross-lfs/trunk/scripts/linux-2.6.3-x86_64.config
   A /cross-lfs/trunk/scripts/linux-2.6.6-m68k.config
   A /cross-lfs/trunk/scripts/native-scripts
   A /cross-lfs/trunk/scripts/native-scripts/native-autoconf.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-automake.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-binutils.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-bison.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-coreutils-binaries.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-flex.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-gawk.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-gcc.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-gettext.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-grep.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-libtool.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-m4.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-make.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-ncurses.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-patch.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-sed.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-tar.sh
   A /cross-lfs/trunk/scripts/native-scripts/native-texinfo.sh
   A /cross-lfs/trunk/scripts/plfs-config
   A /cross-lfs/trunk/scripts/plfs-config-2.4.1
   A /cross-lfs/trunk/scripts/plfs-config-2.4.3-m68k
   A /cross-lfs/trunk/scripts/plfs-config-20040217-x86

Initial import of cross-lfs scripts and patches

------------------------------------------------------------------------
r23 | ryan | 2004-06-13 20:31:06 +1000 (Sun, 13 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/README.cross-lfs

reverted to rev 21

------------------------------------------------------------------------
r22 | ryan | 2004-06-13 19:50:56 +1000 (Sun, 13 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/README.cross-lfs

pre revert to old version

------------------------------------------------------------------------
r21 | ryan | 2004-06-13 19:39:49 +1000 (Sun, 13 Jun 2004) | 2 lines
Changed paths:
   M /cross-lfs/trunk/README.cross-lfs

testing

------------------------------------------------------------------------
r18 | ryan | 2004-06-13 19:25:13 +1000 (Sun, 13 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs/trunk/README.cross-lfs

Adding README.cross-lfs to trunk

------------------------------------------------------------------------
r3 | (no author) | 2004-06-13 17:39:39 +1000 (Sun, 13 Jun 2004) | 2 lines
Changed paths:
   A /cross-lfs
   A /cross-lfs/branches
   A /cross-lfs/tags
   A /cross-lfs/trunk
   A /lfh
   A /lfh/branches
   A /lfh/tags
   A /lfh/trunk

empty directory structure.

------------------------------------------------------------------------
